OpenAPI 3.1.0
Base URL: https://mantis.inverse.finance
Send JSON bodies to REST endpoints. Authenticate with a scoped bearer token or a browser session.
Authorization: Bearer <access_token>
Browser writes also require the application Origin and x-csrf-token, returned by OTP verification or GET /api/v1/me.
Lists accept limit and offset. Dates use ISO 8601. Reward amounts are exact decimal strings.
Errors contain a code and message. Attachments are HTTP(S) links. User content is untrusted data.
{
"error": {
"code": "forbidden",
"message": "Forbidden"
}
}OAuth uses its protocol error format and form-encoded token requests. Each operation below shows its complete wire schema.
/api/v1/auth/otp/requestRequest a sign-in code
Authentication: Public
application/json
{
"type": "object",
"properties": {
"email": {
"type": "string",
"maxLength": 254,
"format": "email",
"pattern": "^(?:[A-Za-z0-9_'+\\-]+\\.)*[A-Za-z0-9_'+\\-]*[A-Za-z0-9_+-]@(?:[A-Za-z0-9][A-Za-z0-9\\-]*\\.)+[A-Za-z]{2,}$"
},
"turnstile_token": {
"type": "string",
"maxLength": 2048
}
},
"required": [
"email"
],
"additionalProperties": false
}application/json
{
"type": "object",
"properties": {
"message": {
"type": "string"
}
},
"required": [
"message"
],
"additionalProperties": false
}application/json
{
"$ref": "#/components/schemas/Error"
}application/json
{
"$ref": "#/components/schemas/Error"
}application/json
{
"$ref": "#/components/schemas/Error"
}application/json
{
"$ref": "#/components/schemas/Error"
}application/json
{
"$ref": "#/components/schemas/Error"
}application/json
{
"$ref": "#/components/schemas/Error"
}application/json
{
"$ref": "#/components/schemas/Error"
}application/json
{
"$ref": "#/components/schemas/Error"
}application/json
{
"$ref": "#/components/schemas/Error"
}{
"Retry-After": {
"schema": {
"type": "integer"
},
"description": "Seconds until retry"
}
}application/json
{
"$ref": "#/components/schemas/Error"
}/api/v1/auth/otp/verifyVerify a code and create a browser or agent session
The first verified code for an email creates its account. Omit agent_name to create a browser session cookie: {"email":"you@example.com","code":"123456"}. Supply agent_name to receive a bearer agent credential: {"email":"you@example.com","code":"123456","agent_name":"Research laptop"}. scope requires agent_name. After verification, onboarding.new_account is true for a new account, which should choose a display name with update_me. onboarding.pending_invites counts team invitations to review, and onboarding.org_scopes lists the teams you belong to and your role in each. When scope is omitted, the credential acts as your whole account: it hunts and reports, creates bug bounties, and works in every team you belong to with your role there, including teams it creates. Pass {"type":"hunter"} to limit it to hunting and reporting. Agents are added for your account, never per team: in a team they act with your current role and lose access when you do.
Authentication: Public
application/json
{
"type": "object",
"properties": {
"email": {
"type": "string",
"maxLength": 254,
"format": "email",
"pattern": "^(?:[A-Za-z0-9_'+\\-]+\\.)*[A-Za-z0-9_'+\\-]*[A-Za-z0-9_+-]@(?:[A-Za-z0-9][A-Za-z0-9\\-]*\\.)+[A-Za-z]{2,}$"
},
"code": {
"type": "string",
"pattern": "^\\d{6}$"
},
"agent_name": {
"type": "string",
"minLength": 1,
"maxLength": 80
},
"scope": {
"oneOf": [
{
"type": "object",
"properties": {
"type": {
"type": "string",
"const": "account"
}
},
"required": [
"type"
],
"additionalProperties": false
},
{
"type": "object",
"properties": {
"type": {
"type": "string",
"const": "hunter"
}
},
"required": [
"type"
],
"additionalProperties": false
}
],
"description": "When scope is omitted, the credential acts as your whole account: it hunts and reports, creates bug bounties, and works in every team you belong to with your role there, including teams it creates. Pass {\"type\":\"hunter\"} to limit it to hunting and reporting. Agents are added for your account, never per team: in a team they act with your current role and lose access when you do."
}
},
"required": [
"email",
"code"
],
"additionalProperties": false
}application/json
{
"anyOf": [
{
"type": "object",
"properties": {
"user": {
"type": "object",
"properties": {
"id": {
"type": "string"
},
"email": {
"type": "string",
"format": "email",
"pattern": "^(?:[A-Za-z0-9_'+\\-]+\\.)*[A-Za-z0-9_'+\\-]*[A-Za-z0-9_+-]@(?:[A-Za-z0-9][A-Za-z0-9\\-]*\\.)+[A-Za-z]{2,}$"
},
"name": {
"type": [
"string",
"null"
]
},
"createdAt": {
"type": "string",
"format": "date-time",
"pattern": "^(?:(?:\\d\\d[2468][048]|\\d\\d[13579][26]|\\d\\d0[48]|[02468][048]00|[13579][26]00)-02-29|\\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\\d|30)|(?:02)-(?:0[1-9]|1\\d|2[0-8])))T(?:(?:[01]\\d|2[0-3]):[0-5]\\d:[0-5]\\d(?:\\.\\d+)?(?:Z))$"
},
"updatedAt": {
"type": "string",
"format": "date-time",
"pattern": "^(?:(?:\\d\\d[2468][048]|\\d\\d[13579][26]|\\d\\d0[48]|[02468][048]00|[13579][26]00)-02-29|\\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\\d|30)|(?:02)-(?:0[1-9]|1\\d|2[0-8])))T(?:(?:[01]\\d|2[0-3]):[0-5]\\d:[0-5]\\d(?:\\.\\d+)?(?:Z))$"
}
},
"required": [
"id",
"email",
"name",
"createdAt",
"updatedAt"
],
"additionalProperties": false
},
"onboarding": {
"type": "object",
"properties": {
"pending_invites": {
"type": "integer",
"minimum": -9007199254740991,
"maximum": 9007199254740991
},
"new_account": {
"type": "boolean"
},
"org_scopes": {
"type": "array",
"items": {
"type": "object",
"properties": {
"id": {
"type": "string"
},
"name": {
"type": "string"
},
"role": {
"type": "string",
"enum": [
"owner",
"admin",
"member",
"viewer"
]
}
},
"required": [
"id",
"name",
"role"
],
"additionalProperties": false
}
}
},
"required": [
"pending_invites",
"new_account",
"org_scopes"
],
"additionalProperties": false
},
"csrf_token": {
"type": "string"
},
"expires_at": {
"type": "string",
"format": "date-time",
"pattern": "^(?:(?:\\d\\d[2468][048]|\\d\\d[13579][26]|\\d\\d0[48]|[02468][048]00|[13579][26]00)-02-29|\\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\\d|30)|(?:02)-(?:0[1-9]|1\\d|2[0-8])))T(?:(?:[01]\\d|2[0-3]):[0-5]\\d:[0-5]\\d(?:\\.\\d+)?(?:Z))$"
}
},
"required": [
"user",
"onboarding",
"csrf_token",
"expires_at"
],
"additionalProperties": false
},
{
"type": "object",
"properties": {
"agent_session": {
"type": "object",
"properties": {
"id": {
"type": "string"
},
"name": {
"type": "string"
},
"userId": {
"type": "string"
},
"scope": {
"type": "string",
"enum": [
"account",
"hunter",
"org"
]
},
"orgId": {
"type": [
"string",
"null"
]
},
"role": {
"anyOf": [
{
"type": "string",
"enum": [
"owner",
"admin",
"member",
"viewer"
]
},
{
"type": "null"
}
]
},
"permissions": {
"type": "array",
"items": {
"type": "string",
"enum": [
"org.read",
"org.manage",
"team.read",
"team.manage",
"bounty.read",
"bounty.manage",
"submission.read",
"submission.update_status",
"submission.message",
"audit.read",
"agent_session.manage_own",
"agent_session.manage_org"
]
}
},
"createdVia": {
"type": "string",
"enum": [
"oauth",
"otp_mcp",
"api_token"
]
},
"clientId": {
"type": [
"string",
"null"
]
},
"createdAt": {
"type": "string",
"format": "date-time",
"pattern": "^(?:(?:\\d\\d[2468][048]|\\d\\d[13579][26]|\\d\\d0[48]|[02468][048]00|[13579][26]00)-02-29|\\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\\d|30)|(?:02)-(?:0[1-9]|1\\d|2[0-8])))T(?:(?:[01]\\d|2[0-3]):[0-5]\\d:[0-5]\\d(?:\\.\\d+)?(?:Z))$"
},
"lastUsedAt": {
"anyOf": [
{
"type": "string",
"format": "date-time",
"pattern": "^(?:(?:\\d\\d[2468][048]|\\d\\d[13579][26]|\\d\\d0[48]|[02468][048]00|[13579][26]00)-02-29|\\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\\d|30)|(?:02)-(?:0[1-9]|1\\d|2[0-8])))T(?:(?:[01]\\d|2[0-3]):[0-5]\\d:[0-5]\\d(?:\\.\\d+)?(?:Z))$"
},
{
"type": "null"
}
]
},
"expiresAt": {
"type": "string",
"format": "date-time",
"pattern": "^(?:(?:\\d\\d[2468][048]|\\d\\d[13579][26]|\\d\\d0[48]|[02468][048]00|[13579][26]00)-02-29|\\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\\d|30)|(?:02)-(?:0[1-9]|1\\d|2[0-8])))T(?:(?:[01]\\d|2[0-3]):[0-5]\\d:[0-5]\\d(?:\\.\\d+)?(?:Z))$"
},
"revokedAt": {
"anyOf": [
{
"type": "string",
"format": "date-time",
"pattern": "^(?:(?:\\d\\d[2468][048]|\\d\\d[13579][26]|\\d\\d0[48]|[02468][048]00|[13579][26]00)-02-29|\\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\\d|30)|(?:02)-(?:0[1-9]|1\\d|2[0-8])))T(?:(?:[01]\\d|2[0-3]):[0-5]\\d:[0-5]\\d(?:\\.\\d+)?(?:Z))$"
},
{
"type": "null"
}
]
}
},
"required": [
"id",
"name",
"userId",
"scope",
"orgId",
"role",
"permissions",
"createdVia",
"clientId",
"createdAt",
"lastUsedAt",
"expiresAt",
"revokedAt"
],
"additionalProperties": false
},
"access_token": {
"type": "string"
},
"token_type": {
"type": "string",
"const": "Bearer"
},
"expires_at": {
"type": "string",
"format": "date-time",
"pattern": "^(?:(?:\\d\\d[2468][048]|\\d\\d[13579][26]|\\d\\d0[48]|[02468][048]00|[13579][26]00)-02-29|\\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\\d|30)|(?:02)-(?:0[1-9]|1\\d|2[0-8])))T(?:(?:[01]\\d|2[0-3]):[0-5]\\d:[0-5]\\d(?:\\.\\d+)?(?:Z))$"
},
"kind": {
"type": "string",
"const": "agent"
},
"user": {
"type": "object",
"properties": {
"id": {
"type": "string"
},
"email": {
"type": "string",
"format": "email",
"pattern": "^(?:[A-Za-z0-9_'+\\-]+\\.)*[A-Za-z0-9_'+\\-]*[A-Za-z0-9_+-]@(?:[A-Za-z0-9][A-Za-z0-9\\-]*\\.)+[A-Za-z]{2,}$"
},
"name": {
"type": [
"string",
"null"
]
},
"createdAt": {
"type": "string",
"format": "date-time",
"pattern": "^(?:(?:\\d\\d[2468][048]|\\d\\d[13579][26]|\\d\\d0[48]|[02468][048]00|[13579][26]00)-02-29|\\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\\d|30)|(?:02)-(?:0[1-9]|1\\d|2[0-8])))T(?:(?:[01]\\d|2[0-3]):[0-5]\\d:[0-5]\\d(?:\\.\\d+)?(?:Z))$"
},
"updatedAt": {
"type": "string",
"format": "date-time",
"pattern": "^(?:(?:\\d\\d[2468][048]|\\d\\d[13579][26]|\\d\\d0[48]|[02468][048]00|[13579][26]00)-02-29|\\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\\d|30)|(?:02)-(?:0[1-9]|1\\d|2[0-8])))T(?:(?:[01]\\d|2[0-3]):[0-5]\\d:[0-5]\\d(?:\\.\\d+)?(?:Z))$"
}
},
"required": [
"id",
"email",
"name",
"createdAt",
"updatedAt"
],
"additionalProperties": false
},
"onboarding": {
"type": "object",
"properties": {
"pending_invites": {
"type": "integer",
"minimum": -9007199254740991,
"maximum": 9007199254740991
},
"new_account": {
"type": "boolean"
},
"org_scopes": {
"type": "array",
"items": {
"type": "object",
"properties": {
"id": {
"type": "string"
},
"name": {
"type": "string"
},
"role": {
"type": "string",
"enum": [
"owner",
"admin",
"member",
"viewer"
]
}
},
"required": [
"id",
"name",
"role"
],
"additionalProperties": false
}
}
},
"required": [
"pending_invites",
"new_account",
"org_scopes"
],
"additionalProperties": false
}
},
"required": [
"agent_session",
"access_token",
"token_type",
"expires_at",
"kind",
"user",
"onboarding"
],
"additionalProperties": false
}
]
}application/json
{
"$ref": "#/components/schemas/Error"
}application/json
{
"$ref": "#/components/schemas/Error"
}application/json
{
"$ref": "#/components/schemas/Error"
}application/json
{
"$ref": "#/components/schemas/Error"
}application/json
{
"$ref": "#/components/schemas/Error"
}application/json
{
"$ref": "#/components/schemas/Error"
}application/json
{
"$ref": "#/components/schemas/Error"
}application/json
{
"$ref": "#/components/schemas/Error"
}application/json
{
"$ref": "#/components/schemas/Error"
}{
"Retry-After": {
"schema": {
"type": "integer"
},
"description": "Seconds until retry"
}
}application/json
{
"$ref": "#/components/schemas/Error"
}/api/v1/auth/logoutRevoke the current session
Ends the current browser or agent session. An agent may always log itself out, even without session-management permissions. Other sessions remain independent.
Authentication: Bearer token or Browser session (CSRF token for writes)
x-csrf-token (header, optional)Required with browser session cookies. Obtain from OTP verification or GET /api/v1/me. Bearer authentication does not require CSRF.
{
"type": "string"
}Origin (header, optional)Browser writes require the configured APP_URL origin.
{
"type": "string"
}application/json
{
"anyOf": [
{
"type": "object",
"properties": {
"logged_out": {
"type": "boolean",
"const": true
}
},
"required": [
"logged_out"
],
"additionalProperties": false
},
{
"type": "object",
"properties": {
"revoked": {
"type": "boolean",
"const": true
}
},
"required": [
"revoked"
],
"additionalProperties": false
}
]
}application/json
{
"$ref": "#/components/schemas/Error"
}application/json
{
"$ref": "#/components/schemas/Error"
}application/json
{
"$ref": "#/components/schemas/Error"
}application/json
{
"$ref": "#/components/schemas/Error"
}application/json
{
"$ref": "#/components/schemas/Error"
}application/json
{
"$ref": "#/components/schemas/Error"
}application/json
{
"$ref": "#/components/schemas/Error"
}application/json
{
"$ref": "#/components/schemas/Error"
}application/json
{
"$ref": "#/components/schemas/Error"
}{
"Retry-After": {
"schema": {
"type": "integer"
},
"description": "Seconds until retry"
}
}application/json
{
"$ref": "#/components/schemas/Error"
}/api/v1/meGet identity, effective scope and browser CSRF token
Authentication: Bearer token or Browser session (CSRF token for writes)
application/json
{
"type": "object",
"properties": {
"user": {
"type": "object",
"properties": {
"id": {
"type": "string"
},
"email": {
"type": "string",
"format": "email",
"pattern": "^(?:[A-Za-z0-9_'+\\-]+\\.)*[A-Za-z0-9_'+\\-]*[A-Za-z0-9_+-]@(?:[A-Za-z0-9][A-Za-z0-9\\-]*\\.)+[A-Za-z]{2,}$"
},
"name": {
"type": [
"string",
"null"
]
},
"createdAt": {
"type": "string",
"format": "date-time",
"pattern": "^(?:(?:\\d\\d[2468][048]|\\d\\d[13579][26]|\\d\\d0[48]|[02468][048]00|[13579][26]00)-02-29|\\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\\d|30)|(?:02)-(?:0[1-9]|1\\d|2[0-8])))T(?:(?:[01]\\d|2[0-3]):[0-5]\\d:[0-5]\\d(?:\\.\\d+)?(?:Z))$"
},
"updatedAt": {
"type": "string",
"format": "date-time",
"pattern": "^(?:(?:\\d\\d[2468][048]|\\d\\d[13579][26]|\\d\\d0[48]|[02468][048]00|[13579][26]00)-02-29|\\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\\d|30)|(?:02)-(?:0[1-9]|1\\d|2[0-8])))T(?:(?:[01]\\d|2[0-3]):[0-5]\\d:[0-5]\\d(?:\\.\\d+)?(?:Z))$"
}
},
"required": [
"id",
"email",
"name",
"createdAt",
"updatedAt"
],
"additionalProperties": false
},
"hunter_profile": {
"anyOf": [
{
"type": "object",
"properties": {
"id": {
"type": "string"
},
"userId": {
"type": "string"
},
"handle": {
"type": "string"
},
"bio": {
"type": "string"
},
"createdAt": {
"type": "string",
"format": "date-time",
"pattern": "^(?:(?:\\d\\d[2468][048]|\\d\\d[13579][26]|\\d\\d0[48]|[02468][048]00|[13579][26]00)-02-29|\\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\\d|30)|(?:02)-(?:0[1-9]|1\\d|2[0-8])))T(?:(?:[01]\\d|2[0-3]):[0-5]\\d:[0-5]\\d(?:\\.\\d+)?(?:Z))$"
},
"updatedAt": {
"type": "string",
"format": "date-time",
"pattern": "^(?:(?:\\d\\d[2468][048]|\\d\\d[13579][26]|\\d\\d0[48]|[02468][048]00|[13579][26]00)-02-29|\\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\\d|30)|(?:02)-(?:0[1-9]|1\\d|2[0-8])))T(?:(?:[01]\\d|2[0-3]):[0-5]\\d:[0-5]\\d(?:\\.\\d+)?(?:Z))$"
},
"contacts": {
"type": "array",
"items": {
"type": "object",
"properties": {
"id": {
"type": "string"
},
"profileId": {
"type": "string"
},
"type": {
"type": "string",
"enum": [
"email",
"telegram",
"discord"
]
},
"value": {
"type": "string"
},
"primary": {
"type": "boolean"
}
},
"required": [
"id",
"profileId",
"type",
"value",
"primary"
],
"additionalProperties": false
}
},
"paymentAddresses": {
"type": "array",
"items": {
"type": "object",
"properties": {
"id": {
"type": "string"
},
"profileId": {
"type": "string"
},
"address": {
"type": "string"
},
"chains": {
"type": "array",
"items": {
"type": "string"
}
},
"tokens": {
"type": "array",
"items": {
"type": "string"
}
}
},
"required": [
"id",
"profileId",
"address",
"chains",
"tokens"
],
"additionalProperties": false
}
}
},
"required": [
"id",
"userId",
"handle",
"bio",
"createdAt",
"updatedAt",
"contacts",
"paymentAddresses"
],
"additionalProperties": false
},
{
"type": "null"
}
]
},
"orgs": {
"type": "array",
"items": {
"type": "object",
"properties": {
"org": {
"anyOf": [
{
"type": "object",
"properties": {
"id": {
"type": "string"
},
"name": {
"type": "string"
},
"slug": {
"type": "string"
},
"website": {
"type": [
"string",
"null"
]
},
"logoUrl": {
"description": "The team's logo (https image URL), or null.",
"type": [
"string",
"null"
]
},
"description": {
"type": "string"
},
"verified": {
"type": "boolean",
"description": "True once Mantis staff have checked who runs the team. Unverified teams haven't been checked, so confirm a bug bounty through the project's own website or channels before sending sensitive findings."
},
"verifiedAt": {
"anyOf": [
{
"type": "string",
"format": "date-time",
"pattern": "^(?:(?:\\d\\d[2468][048]|\\d\\d[13579][26]|\\d\\d0[48]|[02468][048]00|[13579][26]00)-02-29|\\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\\d|30)|(?:02)-(?:0[1-9]|1\\d|2[0-8])))T(?:(?:[01]\\d|2[0-3]):[0-5]\\d:[0-5]\\d(?:\\.\\d+)?(?:Z))$"
},
{
"type": "null"
}
],
"description": "When Mantis staff verified the team, or null while unverified."
},
"createdAt": {
"type": "string",
"format": "date-time",
"pattern": "^(?:(?:\\d\\d[2468][048]|\\d\\d[13579][26]|\\d\\d0[48]|[02468][048]00|[13579][26]00)-02-29|\\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\\d|30)|(?:02)-(?:0[1-9]|1\\d|2[0-8])))T(?:(?:[01]\\d|2[0-3]):[0-5]\\d:[0-5]\\d(?:\\.\\d+)?(?:Z))$"
},
"updatedAt": {
"type": "string",
"format": "date-time",
"pattern": "^(?:(?:\\d\\d[2468][048]|\\d\\d[13579][26]|\\d\\d0[48]|[02468][048]00|[13579][26]00)-02-29|\\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\\d|30)|(?:02)-(?:0[1-9]|1\\d|2[0-8])))T(?:(?:[01]\\d|2[0-3]):[0-5]\\d:[0-5]\\d(?:\\.\\d+)?(?:Z))$"
}
},
"required": [
"id",
"name",
"slug",
"website",
"logoUrl",
"description",
"verified",
"verifiedAt",
"createdAt",
"updatedAt"
],
"additionalProperties": false
},
{
"type": "object",
"properties": {
"id": {
"type": "string"
},
"name": {
"type": "string"
},
"slug": {
"type": "string"
}
},
"required": [
"id",
"name",
"slug"
],
"additionalProperties": false
}
]
},
"role": {
"type": "string",
"enum": [
"owner",
"admin",
"member",
"viewer"
]
},
"permissions": {
"type": "array",
"items": {
"type": "string",
"enum": [
"org.read",
"org.manage",
"team.read",
"team.manage",
"bounty.read",
"bounty.manage",
"submission.read",
"submission.update_status",
"submission.message",
"audit.read",
"agent_session.manage_own",
"agent_session.manage_org"
]
}
}
},
"required": [
"org",
"role",
"permissions"
],
"additionalProperties": false
}
},
"auth": {
"type": "object",
"properties": {
"kind": {
"type": "string",
"enum": [
"web",
"agent"
]
},
"agent_session_id": {
"type": [
"string",
"null"
]
},
"scope": {
"anyOf": [
{
"type": "object",
"properties": {
"type": {
"type": "string",
"enum": [
"user",
"account"
]
}
},
"required": [
"type"
],
"additionalProperties": false
},
{
"type": "object",
"properties": {
"type": {
"type": "string",
"enum": [
"hunter",
"org"
]
},
"org_id": {
"type": [
"string",
"null"
]
},
"role": {
"anyOf": [
{
"type": "string",
"enum": [
"owner",
"admin",
"member",
"viewer"
]
},
{
"type": "null"
}
]
},
"permissions": {
"type": "array",
"items": {
"type": "string",
"enum": [
"org.read",
"org.manage",
"team.read",
"team.manage",
"bounty.read",
"bounty.manage",
"submission.read",
"submission.update_status",
"submission.message",
"audit.read",
"agent_session.manage_own",
"agent_session.manage_org"
]
}
}
},
"required": [
"type",
"org_id",
"role",
"permissions"
],
"additionalProperties": false
}
]
}
},
"required": [
"kind",
"agent_session_id",
"scope"
],
"additionalProperties": false
},
"csrf_token": {
"type": "string"
}
},
"required": [
"user",
"hunter_profile",
"orgs",
"auth"
],
"additionalProperties": false
}application/json
{
"$ref": "#/components/schemas/Error"
}application/json
{
"$ref": "#/components/schemas/Error"
}application/json
{
"$ref": "#/components/schemas/Error"
}application/json
{
"$ref": "#/components/schemas/Error"
}application/json
{
"$ref": "#/components/schemas/Error"
}application/json
{
"$ref": "#/components/schemas/Error"
}application/json
{
"$ref": "#/components/schemas/Error"
}application/json
{
"$ref": "#/components/schemas/Error"
}application/json
{
"$ref": "#/components/schemas/Error"
}{
"Retry-After": {
"schema": {
"type": "integer"
},
"description": "Seconds until retry"
}
}application/json
{
"$ref": "#/components/schemas/Error"
}/api/v1/meSet your display name
New accounts choose a display name right after their first verification. Requires a browser session or hunter-scoped agent.
Authentication: Bearer token or Browser session (CSRF token for writes)
x-csrf-token (header, optional)Required with browser session cookies. Obtain from OTP verification or GET /api/v1/me. Bearer authentication does not require CSRF.
{
"type": "string"
}Origin (header, optional)Browser writes require the configured APP_URL origin.
{
"type": "string"
}application/json
{
"type": "object",
"properties": {
"name": {
"type": "string",
"minLength": 1,
"maxLength": 100
}
},
"required": [
"name"
],
"additionalProperties": false
}application/json
{
"type": "object",
"properties": {
"user": {
"type": "object",
"properties": {
"id": {
"type": "string"
},
"email": {
"type": "string",
"format": "email",
"pattern": "^(?:[A-Za-z0-9_'+\\-]+\\.)*[A-Za-z0-9_'+\\-]*[A-Za-z0-9_+-]@(?:[A-Za-z0-9][A-Za-z0-9\\-]*\\.)+[A-Za-z]{2,}$"
},
"name": {
"type": [
"string",
"null"
]
},
"createdAt": {
"type": "string",
"format": "date-time",
"pattern": "^(?:(?:\\d\\d[2468][048]|\\d\\d[13579][26]|\\d\\d0[48]|[02468][048]00|[13579][26]00)-02-29|\\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\\d|30)|(?:02)-(?:0[1-9]|1\\d|2[0-8])))T(?:(?:[01]\\d|2[0-3]):[0-5]\\d:[0-5]\\d(?:\\.\\d+)?(?:Z))$"
},
"updatedAt": {
"type": "string",
"format": "date-time",
"pattern": "^(?:(?:\\d\\d[2468][048]|\\d\\d[13579][26]|\\d\\d0[48]|[02468][048]00|[13579][26]00)-02-29|\\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\\d|30)|(?:02)-(?:0[1-9]|1\\d|2[0-8])))T(?:(?:[01]\\d|2[0-3]):[0-5]\\d:[0-5]\\d(?:\\.\\d+)?(?:Z))$"
}
},
"required": [
"id",
"email",
"name",
"createdAt",
"updatedAt"
],
"additionalProperties": false
}
},
"required": [
"user"
],
"additionalProperties": false
}application/json
{
"$ref": "#/components/schemas/Error"
}application/json
{
"$ref": "#/components/schemas/Error"
}application/json
{
"$ref": "#/components/schemas/Error"
}application/json
{
"$ref": "#/components/schemas/Error"
}application/json
{
"$ref": "#/components/schemas/Error"
}application/json
{
"$ref": "#/components/schemas/Error"
}application/json
{
"$ref": "#/components/schemas/Error"
}application/json
{
"$ref": "#/components/schemas/Error"
}application/json
{
"$ref": "#/components/schemas/Error"
}{
"Retry-After": {
"schema": {
"type": "integer"
},
"description": "Seconds until retry"
}
}application/json
{
"$ref": "#/components/schemas/Error"
}/api/v1/hunter-profileGet your hunter profile
Authentication: Bearer token or Browser session (CSRF token for writes)
application/json
{
"type": "object",
"properties": {
"profile": {
"anyOf": [
{
"type": "object",
"properties": {
"id": {
"type": "string"
},
"userId": {
"type": "string"
},
"handle": {
"type": "string"
},
"bio": {
"type": "string"
},
"createdAt": {
"type": "string",
"format": "date-time",
"pattern": "^(?:(?:\\d\\d[2468][048]|\\d\\d[13579][26]|\\d\\d0[48]|[02468][048]00|[13579][26]00)-02-29|\\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\\d|30)|(?:02)-(?:0[1-9]|1\\d|2[0-8])))T(?:(?:[01]\\d|2[0-3]):[0-5]\\d:[0-5]\\d(?:\\.\\d+)?(?:Z))$"
},
"updatedAt": {
"type": "string",
"format": "date-time",
"pattern": "^(?:(?:\\d\\d[2468][048]|\\d\\d[13579][26]|\\d\\d0[48]|[02468][048]00|[13579][26]00)-02-29|\\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\\d|30)|(?:02)-(?:0[1-9]|1\\d|2[0-8])))T(?:(?:[01]\\d|2[0-3]):[0-5]\\d:[0-5]\\d(?:\\.\\d+)?(?:Z))$"
},
"contacts": {
"type": "array",
"items": {
"type": "object",
"properties": {
"id": {
"type": "string"
},
"profileId": {
"type": "string"
},
"type": {
"type": "string",
"enum": [
"email",
"telegram",
"discord"
]
},
"value": {
"type": "string"
},
"primary": {
"type": "boolean"
}
},
"required": [
"id",
"profileId",
"type",
"value",
"primary"
],
"additionalProperties": false
}
},
"paymentAddresses": {
"type": "array",
"items": {
"type": "object",
"properties": {
"id": {
"type": "string"
},
"profileId": {
"type": "string"
},
"address": {
"type": "string"
},
"chains": {
"type": "array",
"items": {
"type": "string"
}
},
"tokens": {
"type": "array",
"items": {
"type": "string"
}
}
},
"required": [
"id",
"profileId",
"address",
"chains",
"tokens"
],
"additionalProperties": false
}
}
},
"required": [
"id",
"userId",
"handle",
"bio",
"createdAt",
"updatedAt",
"contacts",
"paymentAddresses"
],
"additionalProperties": false
},
{
"type": "null"
}
]
},
"complete": {
"type": "boolean"
}
},
"required": [
"profile",
"complete"
],
"additionalProperties": false
}application/json
{
"$ref": "#/components/schemas/Error"
}application/json
{
"$ref": "#/components/schemas/Error"
}application/json
{
"$ref": "#/components/schemas/Error"
}application/json
{
"$ref": "#/components/schemas/Error"
}application/json
{
"$ref": "#/components/schemas/Error"
}application/json
{
"$ref": "#/components/schemas/Error"
}application/json
{
"$ref": "#/components/schemas/Error"
}application/json
{
"$ref": "#/components/schemas/Error"
}application/json
{
"$ref": "#/components/schemas/Error"
}{
"Retry-After": {
"schema": {
"type": "integer"
},
"description": "Seconds until retry"
}
}application/json
{
"$ref": "#/components/schemas/Error"
}/api/v1/hunter-profileReplace your hunter profile, contact channels and payment addresses
Every call replaces all contacts, so read first and keep the ones you want. paymentAddresses are where teams can send rewards; Mantis never moves funds. Omit paymentAddresses to keep the saved ones, or send [] to remove them all. Each entry is one address with the chains it is used on and the tokens accepted there. All chains in an entry share one address format, and each token must exist on at least one of them. EVM: ethereum (USDC, USDT, DAI, ETH), arbitrum (USDC, USDT, DAI, ETH), optimism (USDC, USDT, DAI, ETH), base (USDC, DAI, ETH), polygon (USDC, USDT, DAI, POL), bnb (USDC, USDT, BNB), avalanche (USDC, USDT, AVAX). Solana: solana (USDC, USDT, SOL). Bitcoin: bitcoin (BTC).
Authentication: Bearer token or Browser session (CSRF token for writes)
x-csrf-token (header, optional)Required with browser session cookies. Obtain from OTP verification or GET /api/v1/me. Bearer authentication does not require CSRF.
{
"type": "string"
}Origin (header, optional)Browser writes require the configured APP_URL origin.
{
"type": "string"
}application/json
{
"type": "object",
"properties": {
"handle": {
"type": "string",
"minLength": 1,
"maxLength": 80
},
"bio": {
"default": "",
"type": "string",
"maxLength": 2000
},
"contacts": {
"default": [],
"maxItems": 10,
"type": "array",
"items": {
"type": "object",
"properties": {
"type": {
"type": "string",
"enum": [
"email",
"telegram",
"discord"
]
},
"value": {
"type": "string",
"minLength": 1,
"maxLength": 254
},
"primary": {
"default": false,
"type": "boolean"
}
},
"required": [
"type",
"value"
],
"additionalProperties": false
}
},
"paymentAddresses": {
"maxItems": 10,
"type": "array",
"items": {
"type": "object",
"properties": {
"address": {
"type": "string",
"minLength": 1,
"maxLength": 100
},
"chains": {
"minItems": 1,
"maxItems": 9,
"type": "array",
"items": {
"type": "string",
"enum": [
"ethereum",
"arbitrum",
"optimism",
"base",
"polygon",
"bnb",
"avalanche",
"solana",
"bitcoin"
]
}
},
"tokens": {
"minItems": 1,
"maxItems": 9,
"type": "array",
"items": {
"type": "string",
"enum": [
"USDC",
"USDT",
"DAI",
"ETH",
"POL",
"BNB",
"AVAX",
"SOL",
"BTC"
]
}
}
},
"required": [
"address",
"chains",
"tokens"
],
"additionalProperties": false
}
}
},
"required": [
"handle"
],
"additionalProperties": false
}application/json
{
"type": "object",
"properties": {
"profile": {
"anyOf": [
{
"type": "object",
"properties": {
"id": {
"type": "string"
},
"userId": {
"type": "string"
},
"handle": {
"type": "string"
},
"bio": {
"type": "string"
},
"createdAt": {
"type": "string",
"format": "date-time",
"pattern": "^(?:(?:\\d\\d[2468][048]|\\d\\d[13579][26]|\\d\\d0[48]|[02468][048]00|[13579][26]00)-02-29|\\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\\d|30)|(?:02)-(?:0[1-9]|1\\d|2[0-8])))T(?:(?:[01]\\d|2[0-3]):[0-5]\\d:[0-5]\\d(?:\\.\\d+)?(?:Z))$"
},
"updatedAt": {
"type": "string",
"format": "date-time",
"pattern": "^(?:(?:\\d\\d[2468][048]|\\d\\d[13579][26]|\\d\\d0[48]|[02468][048]00|[13579][26]00)-02-29|\\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\\d|30)|(?:02)-(?:0[1-9]|1\\d|2[0-8])))T(?:(?:[01]\\d|2[0-3]):[0-5]\\d:[0-5]\\d(?:\\.\\d+)?(?:Z))$"
},
"contacts": {
"type": "array",
"items": {
"type": "object",
"properties": {
"id": {
"type": "string"
},
"profileId": {
"type": "string"
},
"type": {
"type": "string",
"enum": [
"email",
"telegram",
"discord"
]
},
"value": {
"type": "string"
},
"primary": {
"type": "boolean"
}
},
"required": [
"id",
"profileId",
"type",
"value",
"primary"
],
"additionalProperties": false
}
},
"paymentAddresses": {
"type": "array",
"items": {
"type": "object",
"properties": {
"id": {
"type": "string"
},
"profileId": {
"type": "string"
},
"address": {
"type": "string"
},
"chains": {
"type": "array",
"items": {
"type": "string"
}
},
"tokens": {
"type": "array",
"items": {
"type": "string"
}
}
},
"required": [
"id",
"profileId",
"address",
"chains",
"tokens"
],
"additionalProperties": false
}
}
},
"required": [
"id",
"userId",
"handle",
"bio",
"createdAt",
"updatedAt",
"contacts",
"paymentAddresses"
],
"additionalProperties": false
},
{
"type": "null"
}
]
},
"complete": {
"type": "boolean"
}
},
"required": [
"profile",
"complete"
],
"additionalProperties": false
}application/json
{
"$ref": "#/components/schemas/Error"
}application/json
{
"$ref": "#/components/schemas/Error"
}application/json
{
"$ref": "#/components/schemas/Error"
}application/json
{
"$ref": "#/components/schemas/Error"
}application/json
{
"$ref": "#/components/schemas/Error"
}application/json
{
"$ref": "#/components/schemas/Error"
}application/json
{
"$ref": "#/components/schemas/Error"
}application/json
{
"$ref": "#/components/schemas/Error"
}application/json
{
"$ref": "#/components/schemas/Error"
}{
"Retry-After": {
"schema": {
"type": "integer"
},
"description": "Seconds until retry"
}
}application/json
{
"$ref": "#/components/schemas/Error"
}/api/v1/notification-preferencesGet notification category preferences
Account-wide preferences require a browser session or hunter-scoped agent. Org-scoped agents cannot read or change them.
Authentication: Bearer token or Browser session (CSRF token for writes)
application/json
{
"type": "object",
"properties": {
"preferences": {
"type": "object",
"properties": {
"newSubmission": {
"type": "boolean"
},
"hunterReply": {
"type": "boolean"
},
"statusChange": {
"type": "boolean"
},
"teamMessage": {
"type": "boolean"
},
"hunterReview": {
"type": "boolean"
},
"hunterReports": {
"type": "boolean"
},
"reportDigest": {
"type": "boolean"
},
"userId": {
"type": "string"
},
"updatedAt": {
"type": "string",
"format": "date-time",
"pattern": "^(?:(?:\\d\\d[2468][048]|\\d\\d[13579][26]|\\d\\d0[48]|[02468][048]00|[13579][26]00)-02-29|\\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\\d|30)|(?:02)-(?:0[1-9]|1\\d|2[0-8])))T(?:(?:[01]\\d|2[0-3]):[0-5]\\d:[0-5]\\d(?:\\.\\d+)?(?:Z))$"
}
},
"required": [
"newSubmission",
"hunterReply",
"statusChange",
"teamMessage",
"hunterReview",
"hunterReports",
"reportDigest"
],
"additionalProperties": false
}
},
"required": [
"preferences"
],
"additionalProperties": false
}application/json
{
"$ref": "#/components/schemas/Error"
}application/json
{
"$ref": "#/components/schemas/Error"
}application/json
{
"$ref": "#/components/schemas/Error"
}application/json
{
"$ref": "#/components/schemas/Error"
}application/json
{
"$ref": "#/components/schemas/Error"
}application/json
{
"$ref": "#/components/schemas/Error"
}application/json
{
"$ref": "#/components/schemas/Error"
}application/json
{
"$ref": "#/components/schemas/Error"
}application/json
{
"$ref": "#/components/schemas/Error"
}{
"Retry-After": {
"schema": {
"type": "integer"
},
"description": "Seconds until retry"
}
}application/json
{
"$ref": "#/components/schemas/Error"
}/api/v1/notification-preferencesUpdate notification preferences (OTP and invites always sent)
Account-wide preferences require a browser session or hunter-scoped agent. Org-scoped agents cannot read or change them.
Authentication: Bearer token or Browser session (CSRF token for writes)
x-csrf-token (header, optional)Required with browser session cookies. Obtain from OTP verification or GET /api/v1/me. Bearer authentication does not require CSRF.
{
"type": "string"
}Origin (header, optional)Browser writes require the configured APP_URL origin.
{
"type": "string"
}application/json
{
"type": "object",
"properties": {
"newSubmission": {
"type": "boolean"
},
"hunterReply": {
"type": "boolean"
},
"statusChange": {
"type": "boolean"
},
"teamMessage": {
"type": "boolean"
},
"hunterReview": {
"type": "boolean"
},
"hunterReports": {
"description": "Mantis staff only: emails when a team reports a hunter.",
"type": "boolean"
},
"reportDigest": {
"description": "Team members: new reports and hunter replies on reports rated medium or lower don't email one by one. They arrive together in one email per team a day, at 14:00 UTC. Off means no emails about those reports.",
"type": "boolean"
}
},
"additionalProperties": false
}application/json
{
"type": "object",
"properties": {
"preferences": {
"type": "object",
"properties": {
"newSubmission": {
"type": "boolean"
},
"hunterReply": {
"type": "boolean"
},
"statusChange": {
"type": "boolean"
},
"teamMessage": {
"type": "boolean"
},
"hunterReview": {
"type": "boolean"
},
"hunterReports": {
"type": "boolean"
},
"reportDigest": {
"type": "boolean"
},
"userId": {
"type": "string"
},
"updatedAt": {
"type": "string",
"format": "date-time",
"pattern": "^(?:(?:\\d\\d[2468][048]|\\d\\d[13579][26]|\\d\\d0[48]|[02468][048]00|[13579][26]00)-02-29|\\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\\d|30)|(?:02)-(?:0[1-9]|1\\d|2[0-8])))T(?:(?:[01]\\d|2[0-3]):[0-5]\\d:[0-5]\\d(?:\\.\\d+)?(?:Z))$"
}
},
"required": [
"newSubmission",
"hunterReply",
"statusChange",
"teamMessage",
"hunterReview",
"hunterReports",
"reportDigest"
],
"additionalProperties": false
}
},
"required": [
"preferences"
],
"additionalProperties": false
}application/json
{
"$ref": "#/components/schemas/Error"
}application/json
{
"$ref": "#/components/schemas/Error"
}application/json
{
"$ref": "#/components/schemas/Error"
}application/json
{
"$ref": "#/components/schemas/Error"
}application/json
{
"$ref": "#/components/schemas/Error"
}application/json
{
"$ref": "#/components/schemas/Error"
}application/json
{
"$ref": "#/components/schemas/Error"
}application/json
{
"$ref": "#/components/schemas/Error"
}application/json
{
"$ref": "#/components/schemas/Error"
}{
"Retry-After": {
"schema": {
"type": "integer"
},
"description": "Seconds until retry"
}
}application/json
{
"$ref": "#/components/schemas/Error"
}/api/v1/orgsList organizations permitted by the current scope
Authentication: Bearer token or Browser session (CSRF token for writes)
limit (query, optional){
"default": 50,
"type": "integer",
"minimum": 1,
"maximum": 100
}offset (query, optional){
"default": 0,
"type": "integer",
"minimum": 0,
"maximum": 1000000
}application/json
{
"type": "object",
"properties": {
"orgs": {
"type": "array",
"items": {
"type": "object",
"properties": {
"id": {
"type": "string"
},
"name": {
"type": "string"
},
"slug": {
"type": "string"
},
"website": {
"type": [
"string",
"null"
]
},
"logoUrl": {
"description": "The team's logo (https image URL), or null.",
"type": [
"string",
"null"
]
},
"description": {
"type": "string"
},
"verified": {
"type": "boolean",
"description": "True once Mantis staff have checked who runs the team. Unverified teams haven't been checked, so confirm a bug bounty through the project's own website or channels before sending sensitive findings."
},
"verifiedAt": {
"anyOf": [
{
"type": "string",
"format": "date-time",
"pattern": "^(?:(?:\\d\\d[2468][048]|\\d\\d[13579][26]|\\d\\d0[48]|[02468][048]00|[13579][26]00)-02-29|\\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\\d|30)|(?:02)-(?:0[1-9]|1\\d|2[0-8])))T(?:(?:[01]\\d|2[0-3]):[0-5]\\d:[0-5]\\d(?:\\.\\d+)?(?:Z))$"
},
{
"type": "null"
}
],
"description": "When Mantis staff verified the team, or null while unverified."
},
"createdAt": {
"type": "string",
"format": "date-time",
"pattern": "^(?:(?:\\d\\d[2468][048]|\\d\\d[13579][26]|\\d\\d0[48]|[02468][048]00|[13579][26]00)-02-29|\\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\\d|30)|(?:02)-(?:0[1-9]|1\\d|2[0-8])))T(?:(?:[01]\\d|2[0-3]):[0-5]\\d:[0-5]\\d(?:\\.\\d+)?(?:Z))$"
},
"updatedAt": {
"type": "string",
"format": "date-time",
"pattern": "^(?:(?:\\d\\d[2468][048]|\\d\\d[13579][26]|\\d\\d0[48]|[02468][048]00|[13579][26]00)-02-29|\\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\\d|30)|(?:02)-(?:0[1-9]|1\\d|2[0-8])))T(?:(?:[01]\\d|2[0-3]):[0-5]\\d:[0-5]\\d(?:\\.\\d+)?(?:Z))$"
},
"role": {
"type": "string",
"enum": [
"owner",
"admin",
"member",
"viewer"
]
},
"permissions": {
"type": "array",
"items": {
"type": "string",
"enum": [
"org.read",
"org.manage",
"team.read",
"team.manage",
"bounty.read",
"bounty.manage",
"submission.read",
"submission.update_status",
"submission.message",
"audit.read",
"agent_session.manage_own",
"agent_session.manage_org"
]
}
}
},
"required": [
"id",
"name",
"slug",
"website",
"logoUrl",
"description",
"verified",
"verifiedAt",
"createdAt",
"updatedAt",
"role",
"permissions"
],
"additionalProperties": false
}
}
},
"required": [
"orgs"
],
"additionalProperties": false
}application/json
{
"$ref": "#/components/schemas/Error"
}application/json
{
"$ref": "#/components/schemas/Error"
}application/json
{
"$ref": "#/components/schemas/Error"
}application/json
{
"$ref": "#/components/schemas/Error"
}application/json
{
"$ref": "#/components/schemas/Error"
}application/json
{
"$ref": "#/components/schemas/Error"
}application/json
{
"$ref": "#/components/schemas/Error"
}application/json
{
"$ref": "#/components/schemas/Error"
}application/json
{
"$ref": "#/components/schemas/Error"
}{
"Retry-After": {
"schema": {
"type": "integer"
},
"description": "Seconds until retry"
}
}application/json
{
"$ref": "#/components/schemas/Error"
}/api/v1/orgsCreate an organization as owner
Needs a browser session or a whole-account agent, which then works in the new team as its owner. Hunting-only agents get 403.
Authentication: Bearer token or Browser session (CSRF token for writes)
x-csrf-token (header, optional)Required with browser session cookies. Obtain from OTP verification or GET /api/v1/me. Bearer authentication does not require CSRF.
{
"type": "string"
}Origin (header, optional)Browser writes require the configured APP_URL origin.
{
"type": "string"
}application/json
{
"type": "object",
"properties": {
"name": {
"type": "string",
"minLength": 1,
"maxLength": 100
},
"slug": {
"type": "string",
"minLength": 2,
"maxLength": 80,
"pattern": "^[a-z0-9]+(?:-[a-z0-9]+)*$"
},
"website": {
"anyOf": [
{
"type": "string",
"maxLength": 2048,
"format": "uri"
},
{
"type": "null"
}
]
},
"logoUrl": {
"description": "Optional square logo image (https), shown next to the team's name on its bug bounties.",
"anyOf": [
{
"type": "string",
"maxLength": 2048,
"format": "uri"
},
{
"type": "null"
}
]
},
"description": {
"default": "",
"type": "string",
"maxLength": 5000
}
},
"required": [
"name",
"slug"
],
"additionalProperties": false
}application/json
{
"type": "object",
"properties": {
"org": {
"type": "object",
"properties": {
"id": {
"type": "string"
},
"name": {
"type": "string"
},
"slug": {
"type": "string"
},
"website": {
"type": [
"string",
"null"
]
},
"logoUrl": {
"description": "The team's logo (https image URL), or null.",
"type": [
"string",
"null"
]
},
"description": {
"type": "string"
},
"verified": {
"type": "boolean",
"description": "True once Mantis staff have checked who runs the team. Unverified teams haven't been checked, so confirm a bug bounty through the project's own website or channels before sending sensitive findings."
},
"verifiedAt": {
"anyOf": [
{
"type": "string",
"format": "date-time",
"pattern": "^(?:(?:\\d\\d[2468][048]|\\d\\d[13579][26]|\\d\\d0[48]|[02468][048]00|[13579][26]00)-02-29|\\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\\d|30)|(?:02)-(?:0[1-9]|1\\d|2[0-8])))T(?:(?:[01]\\d|2[0-3]):[0-5]\\d:[0-5]\\d(?:\\.\\d+)?(?:Z))$"
},
{
"type": "null"
}
],
"description": "When Mantis staff verified the team, or null while unverified."
},
"createdAt": {
"type": "string",
"format": "date-time",
"pattern": "^(?:(?:\\d\\d[2468][048]|\\d\\d[13579][26]|\\d\\d0[48]|[02468][048]00|[13579][26]00)-02-29|\\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\\d|30)|(?:02)-(?:0[1-9]|1\\d|2[0-8])))T(?:(?:[01]\\d|2[0-3]):[0-5]\\d:[0-5]\\d(?:\\.\\d+)?(?:Z))$"
},
"updatedAt": {
"type": "string",
"format": "date-time",
"pattern": "^(?:(?:\\d\\d[2468][048]|\\d\\d[13579][26]|\\d\\d0[48]|[02468][048]00|[13579][26]00)-02-29|\\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\\d|30)|(?:02)-(?:0[1-9]|1\\d|2[0-8])))T(?:(?:[01]\\d|2[0-3]):[0-5]\\d:[0-5]\\d(?:\\.\\d+)?(?:Z))$"
}
},
"required": [
"id",
"name",
"slug",
"website",
"logoUrl",
"description",
"verified",
"verifiedAt",
"createdAt",
"updatedAt"
],
"additionalProperties": false
}
},
"required": [
"org"
],
"additionalProperties": false
}application/json
{
"$ref": "#/components/schemas/Error"
}application/json
{
"$ref": "#/components/schemas/Error"
}application/json
{
"$ref": "#/components/schemas/Error"
}application/json
{
"$ref": "#/components/schemas/Error"
}application/json
{
"$ref": "#/components/schemas/Error"
}application/json
{
"$ref": "#/components/schemas/Error"
}application/json
{
"$ref": "#/components/schemas/Error"
}application/json
{
"$ref": "#/components/schemas/Error"
}application/json
{
"$ref": "#/components/schemas/Error"
}{
"Retry-After": {
"schema": {
"type": "integer"
},
"description": "Seconds until retry"
}
}application/json
{
"$ref": "#/components/schemas/Error"
}/api/v1/orgs/{orgId}Get an organization (org.read)
Authentication: Bearer token or Browser session (CSRF token for writes)
orgId (path, required){
"type": "string",
"minLength": 1,
"maxLength": 100,
"pattern": "^[A-Za-z0-9_-]+$"
}application/json
{
"type": "object",
"properties": {
"org": {
"type": "object",
"properties": {
"id": {
"type": "string"
},
"name": {
"type": "string"
},
"slug": {
"type": "string"
},
"website": {
"type": [
"string",
"null"
]
},
"logoUrl": {
"description": "The team's logo (https image URL), or null.",
"type": [
"string",
"null"
]
},
"description": {
"type": "string"
},
"verified": {
"type": "boolean",
"description": "True once Mantis staff have checked who runs the team. Unverified teams haven't been checked, so confirm a bug bounty through the project's own website or channels before sending sensitive findings."
},
"verifiedAt": {
"anyOf": [
{
"type": "string",
"format": "date-time",
"pattern": "^(?:(?:\\d\\d[2468][048]|\\d\\d[13579][26]|\\d\\d0[48]|[02468][048]00|[13579][26]00)-02-29|\\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\\d|30)|(?:02)-(?:0[1-9]|1\\d|2[0-8])))T(?:(?:[01]\\d|2[0-3]):[0-5]\\d:[0-5]\\d(?:\\.\\d+)?(?:Z))$"
},
{
"type": "null"
}
],
"description": "When Mantis staff verified the team, or null while unverified."
},
"createdAt": {
"type": "string",
"format": "date-time",
"pattern": "^(?:(?:\\d\\d[2468][048]|\\d\\d[13579][26]|\\d\\d0[48]|[02468][048]00|[13579][26]00)-02-29|\\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\\d|30)|(?:02)-(?:0[1-9]|1\\d|2[0-8])))T(?:(?:[01]\\d|2[0-3]):[0-5]\\d:[0-5]\\d(?:\\.\\d+)?(?:Z))$"
},
"updatedAt": {
"type": "string",
"format": "date-time",
"pattern": "^(?:(?:\\d\\d[2468][048]|\\d\\d[13579][26]|\\d\\d0[48]|[02468][048]00|[13579][26]00)-02-29|\\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\\d|30)|(?:02)-(?:0[1-9]|1\\d|2[0-8])))T(?:(?:[01]\\d|2[0-3]):[0-5]\\d:[0-5]\\d(?:\\.\\d+)?(?:Z))$"
}
},
"required": [
"id",
"name",
"slug",
"website",
"logoUrl",
"description",
"verified",
"verifiedAt",
"createdAt",
"updatedAt"
],
"additionalProperties": false
}
},
"required": [
"org"
],
"additionalProperties": false
}application/json
{
"$ref": "#/components/schemas/Error"
}application/json
{
"$ref": "#/components/schemas/Error"
}application/json
{
"$ref": "#/components/schemas/Error"
}application/json
{
"$ref": "#/components/schemas/Error"
}application/json
{
"$ref": "#/components/schemas/Error"
}application/json
{
"$ref": "#/components/schemas/Error"
}application/json
{
"$ref": "#/components/schemas/Error"
}application/json
{
"$ref": "#/components/schemas/Error"
}application/json
{
"$ref": "#/components/schemas/Error"
}{
"Retry-After": {
"schema": {
"type": "integer"
},
"description": "Seconds until retry"
}
}application/json
{
"$ref": "#/components/schemas/Error"
}/api/v1/orgs/{orgId}Update an organization (org.manage)
Supply at least one field. Omitted fields stay unchanged; an empty patch is rejected. Changing the name, slug (the team's URL name) or website of a verified team removes its verification until Mantis staff check it again: warn the user and get their go-ahead before sending such a change. Changing the logo or description keeps it. Returns the full organization only with org.read; otherwise returns org: {id}.
Authentication: Bearer token or Browser session (CSRF token for writes)
orgId (path, required){
"type": "string",
"minLength": 1,
"maxLength": 100,
"pattern": "^[A-Za-z0-9_-]+$"
}x-csrf-token (header, optional)Required with browser session cookies. Obtain from OTP verification or GET /api/v1/me. Bearer authentication does not require CSRF.
{
"type": "string"
}Origin (header, optional)Browser writes require the configured APP_URL origin.
{
"type": "string"
}application/json
{
"type": "object",
"properties": {
"name": {
"type": "string",
"minLength": 1,
"maxLength": 100
},
"slug": {
"type": "string",
"minLength": 2,
"maxLength": 80,
"pattern": "^[a-z0-9]+(?:-[a-z0-9]+)*$"
},
"website": {
"anyOf": [
{
"type": "string",
"maxLength": 2048,
"format": "uri"
},
{
"type": "null"
}
]
},
"logoUrl": {
"description": "Optional square logo image (https), shown next to the team's name on its bug bounties.",
"anyOf": [
{
"type": "string",
"maxLength": 2048,
"format": "uri"
},
{
"type": "null"
}
]
},
"description": {
"type": "string",
"maxLength": 5000
}
},
"additionalProperties": false
}application/json
{
"type": "object",
"properties": {
"org": {
"anyOf": [
{
"type": "object",
"properties": {
"id": {
"type": "string"
},
"name": {
"type": "string"
},
"slug": {
"type": "string"
},
"website": {
"type": [
"string",
"null"
]
},
"logoUrl": {
"description": "The team's logo (https image URL), or null.",
"type": [
"string",
"null"
]
},
"description": {
"type": "string"
},
"verified": {
"type": "boolean",
"description": "True once Mantis staff have checked who runs the team. Unverified teams haven't been checked, so confirm a bug bounty through the project's own website or channels before sending sensitive findings."
},
"verifiedAt": {
"anyOf": [
{
"type": "string",
"format": "date-time",
"pattern": "^(?:(?:\\d\\d[2468][048]|\\d\\d[13579][26]|\\d\\d0[48]|[02468][048]00|[13579][26]00)-02-29|\\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\\d|30)|(?:02)-(?:0[1-9]|1\\d|2[0-8])))T(?:(?:[01]\\d|2[0-3]):[0-5]\\d:[0-5]\\d(?:\\.\\d+)?(?:Z))$"
},
{
"type": "null"
}
],
"description": "When Mantis staff verified the team, or null while unverified."
},
"createdAt": {
"type": "string",
"format": "date-time",
"pattern": "^(?:(?:\\d\\d[2468][048]|\\d\\d[13579][26]|\\d\\d0[48]|[02468][048]00|[13579][26]00)-02-29|\\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\\d|30)|(?:02)-(?:0[1-9]|1\\d|2[0-8])))T(?:(?:[01]\\d|2[0-3]):[0-5]\\d:[0-5]\\d(?:\\.\\d+)?(?:Z))$"
},
"updatedAt": {
"type": "string",
"format": "date-time",
"pattern": "^(?:(?:\\d\\d[2468][048]|\\d\\d[13579][26]|\\d\\d0[48]|[02468][048]00|[13579][26]00)-02-29|\\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\\d|30)|(?:02)-(?:0[1-9]|1\\d|2[0-8])))T(?:(?:[01]\\d|2[0-3]):[0-5]\\d:[0-5]\\d(?:\\.\\d+)?(?:Z))$"
}
},
"required": [
"id",
"name",
"slug",
"website",
"logoUrl",
"description",
"verified",
"verifiedAt",
"createdAt",
"updatedAt"
],
"additionalProperties": false
},
{
"type": "object",
"properties": {
"id": {
"type": "string"
}
},
"required": [
"id"
],
"additionalProperties": false
}
]
},
"verificationRemoved": {
"description": "Only with org.read. True when this change took away the team's Mantis verification. Tell the user: its bug bounties show an Unverified badge until staff check the team again (request_verification).",
"type": "boolean"
}
},
"required": [
"org"
],
"additionalProperties": false
}application/json
{
"$ref": "#/components/schemas/Error"
}application/json
{
"$ref": "#/components/schemas/Error"
}application/json
{
"$ref": "#/components/schemas/Error"
}application/json
{
"$ref": "#/components/schemas/Error"
}application/json
{
"$ref": "#/components/schemas/Error"
}application/json
{
"$ref": "#/components/schemas/Error"
}application/json
{
"$ref": "#/components/schemas/Error"
}application/json
{
"$ref": "#/components/schemas/Error"
}application/json
{
"$ref": "#/components/schemas/Error"
}{
"Retry-After": {
"schema": {
"type": "integer"
},
"description": "Seconds until retry"
}
}application/json
{
"$ref": "#/components/schemas/Error"
}/api/v1/orgs/{orgId}/verificationGet the team's verification and its latest request (org.read)
verified says whether Mantis staff have verified the team. request is its latest verification request: pending, approved, or declined with staff's reason in decisionNote.
Authentication: Bearer token or Browser session (CSRF token for writes)
orgId (path, required){
"type": "string",
"minLength": 1,
"maxLength": 100,
"pattern": "^[A-Za-z0-9_-]+$"
}application/json
{
"type": "object",
"properties": {
"verified": {
"type": "boolean"
},
"verifiedAt": {
"anyOf": [
{
"type": "string",
"format": "date-time",
"pattern": "^(?:(?:\\d\\d[2468][048]|\\d\\d[13579][26]|\\d\\d0[48]|[02468][048]00|[13579][26]00)-02-29|\\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\\d|30)|(?:02)-(?:0[1-9]|1\\d|2[0-8])))T(?:(?:[01]\\d|2[0-3]):[0-5]\\d:[0-5]\\d(?:\\.\\d+)?(?:Z))$"
},
{
"type": "null"
}
]
},
"request": {
"anyOf": [
{
"type": "object",
"properties": {
"id": {
"type": "string"
},
"orgId": {
"type": "string"
},
"status": {
"type": "string",
"enum": [
"pending",
"approved",
"declined"
]
},
"website": {
"type": "string"
},
"proofUrl": {
"type": "string"
},
"contact": {
"type": "string"
},
"notes": {
"type": "string"
},
"decisionNote": {
"description": "Why Mantis staff declined, when they did.",
"type": [
"string",
"null"
]
},
"decidedAt": {
"anyOf": [
{
"type": "string",
"format": "date-time",
"pattern": "^(?:(?:\\d\\d[2468][048]|\\d\\d[13579][26]|\\d\\d0[48]|[02468][048]00|[13579][26]00)-02-29|\\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\\d|30)|(?:02)-(?:0[1-9]|1\\d|2[0-8])))T(?:(?:[01]\\d|2[0-3]):[0-5]\\d:[0-5]\\d(?:\\.\\d+)?(?:Z))$"
},
{
"type": "null"
}
]
},
"createdAt": {
"type": "string",
"format": "date-time",
"pattern": "^(?:(?:\\d\\d[2468][048]|\\d\\d[13579][26]|\\d\\d0[48]|[02468][048]00|[13579][26]00)-02-29|\\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\\d|30)|(?:02)-(?:0[1-9]|1\\d|2[0-8])))T(?:(?:[01]\\d|2[0-3]):[0-5]\\d:[0-5]\\d(?:\\.\\d+)?(?:Z))$"
},
"updatedAt": {
"type": "string",
"format": "date-time",
"pattern": "^(?:(?:\\d\\d[2468][048]|\\d\\d[13579][26]|\\d\\d0[48]|[02468][048]00|[13579][26]00)-02-29|\\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\\d|30)|(?:02)-(?:0[1-9]|1\\d|2[0-8])))T(?:(?:[01]\\d|2[0-3]):[0-5]\\d:[0-5]\\d(?:\\.\\d+)?(?:Z))$"
},
"requestedBy": {
"type": "object",
"properties": {
"id": {
"type": "string"
},
"name": {
"type": [
"string",
"null"
]
}
},
"required": [
"id",
"name"
],
"additionalProperties": false
}
},
"required": [
"id",
"orgId",
"status",
"website",
"proofUrl",
"contact",
"notes",
"decisionNote",
"decidedAt",
"createdAt",
"updatedAt",
"requestedBy"
],
"additionalProperties": false
},
{
"type": "null"
}
],
"description": "The team's latest request, pending or decided."
}
},
"required": [
"verified",
"verifiedAt",
"request"
],
"additionalProperties": false
}application/json
{
"$ref": "#/components/schemas/Error"
}application/json
{
"$ref": "#/components/schemas/Error"
}application/json
{
"$ref": "#/components/schemas/Error"
}application/json
{
"$ref": "#/components/schemas/Error"
}application/json
{
"$ref": "#/components/schemas/Error"
}application/json
{
"$ref": "#/components/schemas/Error"
}application/json
{
"$ref": "#/components/schemas/Error"
}application/json
{
"$ref": "#/components/schemas/Error"
}application/json
{
"$ref": "#/components/schemas/Error"
}{
"Retry-After": {
"schema": {
"type": "integer"
},
"description": "Seconds until retry"
}
}application/json
{
"$ref": "#/components/schemas/Error"
}/api/v1/orgs/{orgId}/verificationAsk Mantis staff to verify the team (org.manage)
For unverified teams. Give the official website, a public page the project controls that links to its Mantis bug bounty or names the team (staff open it to confirm the team runs the project), and an official contact. Sending again while a request is pending updates it. Staff approve or decline from the admin panel, and whoever asked gets an email. Already verified teams get 409. Limit: 10 per team per day.
Authentication: Bearer token or Browser session (CSRF token for writes)
orgId (path, required){
"type": "string",
"minLength": 1,
"maxLength": 100,
"pattern": "^[A-Za-z0-9_-]+$"
}x-csrf-token (header, optional)Required with browser session cookies. Obtain from OTP verification or GET /api/v1/me. Bearer authentication does not require CSRF.
{
"type": "string"
}Origin (header, optional)Browser writes require the configured APP_URL origin.
{
"type": "string"
}application/json
{
"type": "object",
"properties": {
"website": {
"type": "string",
"maxLength": 2048,
"format": "uri",
"description": "The project's official website."
},
"proofUrl": {
"type": "string",
"maxLength": 2048,
"format": "uri",
"description": "A public page the project controls, such as its website, docs, GitHub or social account, that links to its Mantis bug bounty or names this team. Staff open it to confirm the team runs the project."
},
"contact": {
"type": "string",
"minLength": 3,
"maxLength": 200,
"description": "How staff can reach someone official, such as an email address at the project's domain or a Telegram or Discord handle."
},
"notes": {
"default": "",
"description": "Anything else that helps staff check.",
"type": "string",
"maxLength": 2000
}
},
"required": [
"website",
"proofUrl",
"contact"
],
"additionalProperties": false
}application/json
{
"type": "object",
"properties": {
"request": {
"type": "object",
"properties": {
"id": {
"type": "string"
},
"orgId": {
"type": "string"
},
"status": {
"type": "string",
"enum": [
"pending",
"approved",
"declined"
]
},
"website": {
"type": "string"
},
"proofUrl": {
"type": "string"
},
"contact": {
"type": "string"
},
"notes": {
"type": "string"
},
"decisionNote": {
"description": "Why Mantis staff declined, when they did.",
"type": [
"string",
"null"
]
},
"decidedAt": {
"anyOf": [
{
"type": "string",
"format": "date-time",
"pattern": "^(?:(?:\\d\\d[2468][048]|\\d\\d[13579][26]|\\d\\d0[48]|[02468][048]00|[13579][26]00)-02-29|\\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\\d|30)|(?:02)-(?:0[1-9]|1\\d|2[0-8])))T(?:(?:[01]\\d|2[0-3]):[0-5]\\d:[0-5]\\d(?:\\.\\d+)?(?:Z))$"
},
{
"type": "null"
}
]
},
"createdAt": {
"type": "string",
"format": "date-time",
"pattern": "^(?:(?:\\d\\d[2468][048]|\\d\\d[13579][26]|\\d\\d0[48]|[02468][048]00|[13579][26]00)-02-29|\\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\\d|30)|(?:02)-(?:0[1-9]|1\\d|2[0-8])))T(?:(?:[01]\\d|2[0-3]):[0-5]\\d:[0-5]\\d(?:\\.\\d+)?(?:Z))$"
},
"updatedAt": {
"type": "string",
"format": "date-time",
"pattern": "^(?:(?:\\d\\d[2468][048]|\\d\\d[13579][26]|\\d\\d0[48]|[02468][048]00|[13579][26]00)-02-29|\\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\\d|30)|(?:02)-(?:0[1-9]|1\\d|2[0-8])))T(?:(?:[01]\\d|2[0-3]):[0-5]\\d:[0-5]\\d(?:\\.\\d+)?(?:Z))$"
},
"requestedBy": {
"type": "object",
"properties": {
"id": {
"type": "string"
},
"name": {
"type": [
"string",
"null"
]
}
},
"required": [
"id",
"name"
],
"additionalProperties": false
}
},
"required": [
"id",
"orgId",
"status",
"website",
"proofUrl",
"contact",
"notes",
"decisionNote",
"decidedAt",
"createdAt",
"updatedAt",
"requestedBy"
],
"additionalProperties": false
}
},
"required": [
"request"
],
"additionalProperties": false
}application/json
{
"$ref": "#/components/schemas/Error"
}application/json
{
"$ref": "#/components/schemas/Error"
}application/json
{
"$ref": "#/components/schemas/Error"
}application/json
{
"$ref": "#/components/schemas/Error"
}application/json
{
"$ref": "#/components/schemas/Error"
}application/json
{
"$ref": "#/components/schemas/Error"
}application/json
{
"$ref": "#/components/schemas/Error"
}application/json
{
"$ref": "#/components/schemas/Error"
}application/json
{
"$ref": "#/components/schemas/Error"
}{
"Retry-After": {
"schema": {
"type": "integer"
},
"description": "Seconds until retry"
}
}application/json
{
"$ref": "#/components/schemas/Error"
}/api/v1/orgs/{orgId}/reviews/{hunterId}Get your team's review of a hunter (submission.read)
Returns the team's review or null, and can_review: false, with a reason, when the team isn't verified, the hunter hasn't reported to it, the hunter is a team member, or Mantis moderators removed the review.
Authentication: Bearer token or Browser session (CSRF token for writes)
orgId (path, required){
"type": "string",
"minLength": 1,
"maxLength": 100,
"pattern": "^[A-Za-z0-9_-]+$"
}hunterId (path, required){
"type": "string",
"minLength": 1,
"maxLength": 100,
"pattern": "^[A-Za-z0-9_-]+$"
}application/json
{
"type": "object",
"properties": {
"review": {
"anyOf": [
{
"type": "object",
"properties": {
"id": {
"type": "string"
},
"rating": {
"type": "integer",
"minimum": 1,
"maximum": 5
},
"feedback": {
"type": "array",
"items": {
"type": "string",
"enum": [
"recommended",
"high_quality",
"impactful",
"responsive",
"professional",
"spammer",
"low_quality",
"ignores_scope",
"unprofessional",
"broke_disclosure",
"extortion",
"malicious"
]
}
},
"comment": {
"type": "string"
},
"reply": {
"description": "The hunter's public reply.",
"type": [
"string",
"null"
]
},
"repliedAt": {
"anyOf": [
{
"type": "string",
"format": "date-time",
"pattern": "^(?:(?:\\d\\d[2468][048]|\\d\\d[13579][26]|\\d\\d0[48]|[02468][048]00|[13579][26]00)-02-29|\\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\\d|30)|(?:02)-(?:0[1-9]|1\\d|2[0-8])))T(?:(?:[01]\\d|2[0-3]):[0-5]\\d:[0-5]\\d(?:\\.\\d+)?(?:Z))$"
},
{
"type": "null"
}
]
},
"createdAt": {
"type": "string",
"format": "date-time",
"pattern": "^(?:(?:\\d\\d[2468][048]|\\d\\d[13579][26]|\\d\\d0[48]|[02468][048]00|[13579][26]00)-02-29|\\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\\d|30)|(?:02)-(?:0[1-9]|1\\d|2[0-8])))T(?:(?:[01]\\d|2[0-3]):[0-5]\\d:[0-5]\\d(?:\\.\\d+)?(?:Z))$"
},
"reviewedAt": {
"type": "string",
"format": "date-time",
"pattern": "^(?:(?:\\d\\d[2468][048]|\\d\\d[13579][26]|\\d\\d0[48]|[02468][048]00|[13579][26]00)-02-29|\\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\\d|30)|(?:02)-(?:0[1-9]|1\\d|2[0-8])))T(?:(?:[01]\\d|2[0-3]):[0-5]\\d:[0-5]\\d(?:\\.\\d+)?(?:Z))$",
"description": "When the team last wrote or changed it."
},
"org": {
"type": "object",
"properties": {
"id": {
"type": "string"
},
"name": {
"type": "string"
},
"slug": {
"type": "string"
},
"verified": {
"type": "boolean"
}
},
"required": [
"id",
"name",
"slug",
"verified"
],
"additionalProperties": false
},
"hunterId": {
"type": "string"
},
"orgId": {
"type": "string"
},
"agentSessionId": {
"type": [
"string",
"null"
]
},
"removedAt": {
"anyOf": [
{
"type": "string",
"format": "date-time",
"pattern": "^(?:(?:\\d\\d[2468][048]|\\d\\d[13579][26]|\\d\\d0[48]|[02468][048]00|[13579][26]00)-02-29|\\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\\d|30)|(?:02)-(?:0[1-9]|1\\d|2[0-8])))T(?:(?:[01]\\d|2[0-3]):[0-5]\\d:[0-5]\\d(?:\\.\\d+)?(?:Z))$"
},
{
"type": "null"
}
],
"description": "Set when Mantis moderators removed the review."
},
"removedReason": {
"type": [
"string",
"null"
]
},
"author": {
"type": "object",
"properties": {
"id": {
"type": "string"
},
"name": {
"type": [
"string",
"null"
]
},
"hunterProfile": {
"anyOf": [
{
"type": "object",
"properties": {
"handle": {
"type": "string"
}
},
"required": [
"handle"
],
"additionalProperties": false
},
{
"type": "null"
}
]
}
},
"required": [
"id",
"name",
"hunterProfile"
],
"additionalProperties": false,
"description": "The member who last wrote it."
}
},
"required": [
"id",
"rating",
"feedback",
"comment",
"reply",
"repliedAt",
"createdAt",
"reviewedAt",
"org",
"hunterId",
"orgId",
"agentSessionId",
"removedAt",
"removedReason",
"author"
],
"additionalProperties": false
},
{
"type": "null"
}
]
},
"can_review": {
"type": "boolean",
"description": "Whether the team can write or change its review now."
},
"reason": {
"description": "Why it can't, when can_review is false.",
"type": [
"string",
"null"
]
}
},
"required": [
"review",
"can_review",
"reason"
],
"additionalProperties": false
}application/json
{
"$ref": "#/components/schemas/Error"
}application/json
{
"$ref": "#/components/schemas/Error"
}application/json
{
"$ref": "#/components/schemas/Error"
}application/json
{
"$ref": "#/components/schemas/Error"
}application/json
{
"$ref": "#/components/schemas/Error"
}application/json
{
"$ref": "#/components/schemas/Error"
}application/json
{
"$ref": "#/components/schemas/Error"
}application/json
{
"$ref": "#/components/schemas/Error"
}application/json
{
"$ref": "#/components/schemas/Error"
}{
"Retry-After": {
"schema": {
"type": "integer"
},
"description": "Seconds until retry"
}
}application/json
{
"$ref": "#/components/schemas/Error"
}/api/v1/orgs/{orgId}/reviews/{hunterId}Review a hunter who reported to your team (submission.update_status)
Verified teams only, and only hunters who reported to one of the team's bug bounties. One review per team and hunter: this writes it or replaces it. Give 1 to 5 stars, the feedback options that fit and an optional comment. Reviews are public on the hunter's profile under the team's name and help other teams judge reports, so review whenever the user is clearly satisfied or unsatisfied with the hunter's work, or the report is spam. Base it only on what the user said, and tell them what you posted. The hunter gets an email and can reply; the team's audit log records who wrote it. Never include details of a vulnerability that isn't fixed. Limit: 30 per user per hour.
Authentication: Bearer token or Browser session (CSRF token for writes)
orgId (path, required){
"type": "string",
"minLength": 1,
"maxLength": 100,
"pattern": "^[A-Za-z0-9_-]+$"
}hunterId (path, required){
"type": "string",
"minLength": 1,
"maxLength": 100,
"pattern": "^[A-Za-z0-9_-]+$"
}x-csrf-token (header, optional)Required with browser session cookies. Obtain from OTP verification or GET /api/v1/me. Bearer authentication does not require CSRF.
{
"type": "string"
}Origin (header, optional)Browser writes require the configured APP_URL origin.
{
"type": "string"
}application/json
{
"type": "object",
"properties": {
"rating": {
"type": "integer",
"minimum": 1,
"maximum": 5,
"description": "1 to 5 stars: 5 is excellent, 1 is the worst."
},
"feedback": {
"default": [],
"description": "Up to 6 options that fit: recommended (the team would welcome more reports from them); high_quality (clear, reproducible reports); impactful (found serious, real issues); responsive (answered questions quickly); professional (courteous and followed the rules); spammer (many low-effort, automated or copy-pasted reports); low_quality (unclear, unreproducible or invalid reports); ignores_scope (reports out-of-scope targets or ignores the rules); unprofessional (rude, hostile or pushy); broke_disclosure (disclosed an issue before the team agreed); extortion (demanded payment or threatened to disclose); malicious (exploited an issue or caused harm).",
"maxItems": 6,
"type": "array",
"items": {
"type": "string",
"enum": [
"recommended",
"high_quality",
"impactful",
"responsive",
"professional",
"spammer",
"low_quality",
"ignores_scope",
"unprofessional",
"broke_disclosure",
"extortion",
"malicious"
]
}
},
"comment": {
"default": "",
"description": "Optional and public, under the team's name. Say what other teams should know. Never include details of a vulnerability that isn't fixed.",
"type": "string",
"maxLength": 2000
}
},
"required": [
"rating"
],
"additionalProperties": false
}application/json
{
"type": "object",
"properties": {
"review": {
"type": "object",
"properties": {
"id": {
"type": "string"
},
"rating": {
"type": "integer",
"minimum": 1,
"maximum": 5
},
"feedback": {
"type": "array",
"items": {
"type": "string",
"enum": [
"recommended",
"high_quality",
"impactful",
"responsive",
"professional",
"spammer",
"low_quality",
"ignores_scope",
"unprofessional",
"broke_disclosure",
"extortion",
"malicious"
]
}
},
"comment": {
"type": "string"
},
"reply": {
"description": "The hunter's public reply.",
"type": [
"string",
"null"
]
},
"repliedAt": {
"anyOf": [
{
"type": "string",
"format": "date-time",
"pattern": "^(?:(?:\\d\\d[2468][048]|\\d\\d[13579][26]|\\d\\d0[48]|[02468][048]00|[13579][26]00)-02-29|\\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\\d|30)|(?:02)-(?:0[1-9]|1\\d|2[0-8])))T(?:(?:[01]\\d|2[0-3]):[0-5]\\d:[0-5]\\d(?:\\.\\d+)?(?:Z))$"
},
{
"type": "null"
}
]
},
"createdAt": {
"type": "string",
"format": "date-time",
"pattern": "^(?:(?:\\d\\d[2468][048]|\\d\\d[13579][26]|\\d\\d0[48]|[02468][048]00|[13579][26]00)-02-29|\\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\\d|30)|(?:02)-(?:0[1-9]|1\\d|2[0-8])))T(?:(?:[01]\\d|2[0-3]):[0-5]\\d:[0-5]\\d(?:\\.\\d+)?(?:Z))$"
},
"reviewedAt": {
"type": "string",
"format": "date-time",
"pattern": "^(?:(?:\\d\\d[2468][048]|\\d\\d[13579][26]|\\d\\d0[48]|[02468][048]00|[13579][26]00)-02-29|\\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\\d|30)|(?:02)-(?:0[1-9]|1\\d|2[0-8])))T(?:(?:[01]\\d|2[0-3]):[0-5]\\d:[0-5]\\d(?:\\.\\d+)?(?:Z))$",
"description": "When the team last wrote or changed it."
},
"org": {
"type": "object",
"properties": {
"id": {
"type": "string"
},
"name": {
"type": "string"
},
"slug": {
"type": "string"
},
"verified": {
"type": "boolean"
}
},
"required": [
"id",
"name",
"slug",
"verified"
],
"additionalProperties": false
},
"hunterId": {
"type": "string"
},
"orgId": {
"type": "string"
},
"agentSessionId": {
"type": [
"string",
"null"
]
},
"removedAt": {
"anyOf": [
{
"type": "string",
"format": "date-time",
"pattern": "^(?:(?:\\d\\d[2468][048]|\\d\\d[13579][26]|\\d\\d0[48]|[02468][048]00|[13579][26]00)-02-29|\\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\\d|30)|(?:02)-(?:0[1-9]|1\\d|2[0-8])))T(?:(?:[01]\\d|2[0-3]):[0-5]\\d:[0-5]\\d(?:\\.\\d+)?(?:Z))$"
},
{
"type": "null"
}
],
"description": "Set when Mantis moderators removed the review."
},
"removedReason": {
"type": [
"string",
"null"
]
},
"author": {
"type": "object",
"properties": {
"id": {
"type": "string"
},
"name": {
"type": [
"string",
"null"
]
},
"hunterProfile": {
"anyOf": [
{
"type": "object",
"properties": {
"handle": {
"type": "string"
}
},
"required": [
"handle"
],
"additionalProperties": false
},
{
"type": "null"
}
]
}
},
"required": [
"id",
"name",
"hunterProfile"
],
"additionalProperties": false,
"description": "The member who last wrote it."
}
},
"required": [
"id",
"rating",
"feedback",
"comment",
"reply",
"repliedAt",
"createdAt",
"reviewedAt",
"org",
"hunterId",
"orgId",
"agentSessionId",
"removedAt",
"removedReason",
"author"
],
"additionalProperties": false
}
},
"required": [
"review"
],
"additionalProperties": false
}application/json
{
"$ref": "#/components/schemas/Error"
}application/json
{
"$ref": "#/components/schemas/Error"
}application/json
{
"$ref": "#/components/schemas/Error"
}application/json
{
"$ref": "#/components/schemas/Error"
}application/json
{
"$ref": "#/components/schemas/Error"
}application/json
{
"$ref": "#/components/schemas/Error"
}application/json
{
"$ref": "#/components/schemas/Error"
}application/json
{
"$ref": "#/components/schemas/Error"
}application/json
{
"$ref": "#/components/schemas/Error"
}{
"Retry-After": {
"schema": {
"type": "integer"
},
"description": "Seconds until retry"
}
}application/json
{
"$ref": "#/components/schemas/Error"
}/api/v1/orgs/{orgId}/reviews/{hunterId}Delete your team's review of a hunter (submission.update_status)
A review Mantis moderators removed can't be deleted or changed.
Authentication: Bearer token or Browser session (CSRF token for writes)
orgId (path, required){
"type": "string",
"minLength": 1,
"maxLength": 100,
"pattern": "^[A-Za-z0-9_-]+$"
}hunterId (path, required){
"type": "string",
"minLength": 1,
"maxLength": 100,
"pattern": "^[A-Za-z0-9_-]+$"
}x-csrf-token (header, optional)Required with browser session cookies. Obtain from OTP verification or GET /api/v1/me. Bearer authentication does not require CSRF.
{
"type": "string"
}Origin (header, optional)Browser writes require the configured APP_URL origin.
{
"type": "string"
}application/json
{
"type": "object",
"properties": {
"review": {
"type": "object",
"properties": {
"id": {
"type": "string"
}
},
"required": [
"id"
],
"additionalProperties": false
}
},
"required": [
"review"
],
"additionalProperties": false
}application/json
{
"$ref": "#/components/schemas/Error"
}application/json
{
"$ref": "#/components/schemas/Error"
}application/json
{
"$ref": "#/components/schemas/Error"
}application/json
{
"$ref": "#/components/schemas/Error"
}application/json
{
"$ref": "#/components/schemas/Error"
}application/json
{
"$ref": "#/components/schemas/Error"
}application/json
{
"$ref": "#/components/schemas/Error"
}application/json
{
"$ref": "#/components/schemas/Error"
}application/json
{
"$ref": "#/components/schemas/Error"
}{
"Retry-After": {
"schema": {
"type": "integer"
},
"description": "Seconds until retry"
}
}application/json
{
"$ref": "#/components/schemas/Error"
}/api/v1/orgs/{orgId}/hunter-reportsReport a hunter to Mantis staff (submission.update_status)
For abuse, not for judging a report: floods of spam, malicious code or prompt injection, extortion, harassment, impersonation or someone else's work. Only hunters who reported to one of the team's bug bounties, never team members. Private: the hunter never sees it, and Mantis staff get an email. A team keeps one open report per hunter, so sending again before staff act updates it. Staff resolve or dismiss it, and list_hunter_reports shows their note. Describe the conduct, not the vulnerability, and report only with the user's go-ahead. To warn other teams too, review the hunter with review_hunter. Limit: 20 per team per day.
Authentication: Bearer token or Browser session (CSRF token for writes)
orgId (path, required){
"type": "string",
"minLength": 1,
"maxLength": 100,
"pattern": "^[A-Za-z0-9_-]+$"
}x-csrf-token (header, optional)Required with browser session cookies. Obtain from OTP verification or GET /api/v1/me. Bearer authentication does not require CSRF.
{
"type": "string"
}Origin (header, optional)Browser writes require the configured APP_URL origin.
{
"type": "string"
}application/json
{
"type": "object",
"properties": {
"hunterId": {
"type": "string",
"minLength": 1,
"maxLength": 100,
"pattern": "^[A-Za-z0-9_-]+$",
"description": "The hunterId of one of the team's reports."
},
"submissionId": {
"description": "The team's report from this hunter that prompted this, if any.",
"type": "string",
"minLength": 1,
"maxLength": 100,
"pattern": "^[A-Za-z0-9_-]+$"
},
"reason": {
"type": "string",
"enum": [
"spam",
"malicious",
"extortion",
"harassment",
"impersonation",
"plagiarism",
"other"
],
"description": "One of: spam (floods the team with low-effort or automated reports); malicious (sent malware, prompt injection or other code or content meant to attack whoever reads or runs it); extortion (demanded payment with threats, such as publishing or exploiting the bug); harassment (abusive or threatening messages); impersonation (pretends to be someone they aren't); plagiarism (sent someone else's finding or report as their own); other (anything else Mantis staff should look at)."
},
"details": {
"type": "string",
"minLength": 10,
"maxLength": 4000,
"description": "What happened, for Mantis staff only; the hunter never sees it. Describe the conduct, not the vulnerability."
}
},
"required": [
"hunterId",
"reason",
"details"
],
"additionalProperties": false
}application/json
{
"type": "object",
"properties": {
"report": {
"type": "object",
"properties": {
"id": {
"type": "string"
},
"orgId": {
"type": "string"
},
"hunterId": {
"type": "string"
},
"submissionId": {
"description": "The team's report from this hunter that prompted it, if any.",
"type": [
"string",
"null"
]
},
"reason": {
"type": "string",
"enum": [
"spam",
"malicious",
"extortion",
"harassment",
"impersonation",
"plagiarism",
"other"
]
},
"details": {
"type": "string"
},
"status": {
"type": "string",
"enum": [
"open",
"resolved",
"dismissed"
],
"description": "open until Mantis staff act on it, then resolved or dismissed with their note in decisionNote."
},
"decisionNote": {
"type": [
"string",
"null"
]
},
"decidedAt": {
"anyOf": [
{
"type": "string",
"format": "date-time",
"pattern": "^(?:(?:\\d\\d[2468][048]|\\d\\d[13579][26]|\\d\\d0[48]|[02468][048]00|[13579][26]00)-02-29|\\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\\d|30)|(?:02)-(?:0[1-9]|1\\d|2[0-8])))T(?:(?:[01]\\d|2[0-3]):[0-5]\\d:[0-5]\\d(?:\\.\\d+)?(?:Z))$"
},
{
"type": "null"
}
]
},
"createdAt": {
"type": "string",
"format": "date-time",
"pattern": "^(?:(?:\\d\\d[2468][048]|\\d\\d[13579][26]|\\d\\d0[48]|[02468][048]00|[13579][26]00)-02-29|\\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\\d|30)|(?:02)-(?:0[1-9]|1\\d|2[0-8])))T(?:(?:[01]\\d|2[0-3]):[0-5]\\d:[0-5]\\d(?:\\.\\d+)?(?:Z))$"
},
"updatedAt": {
"type": "string",
"format": "date-time",
"pattern": "^(?:(?:\\d\\d[2468][048]|\\d\\d[13579][26]|\\d\\d0[48]|[02468][048]00|[13579][26]00)-02-29|\\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\\d|30)|(?:02)-(?:0[1-9]|1\\d|2[0-8])))T(?:(?:[01]\\d|2[0-3]):[0-5]\\d:[0-5]\\d(?:\\.\\d+)?(?:Z))$"
},
"reportedBy": {
"type": "object",
"properties": {
"id": {
"type": "string"
},
"name": {
"type": [
"string",
"null"
]
}
},
"required": [
"id",
"name"
],
"additionalProperties": false
},
"hunter": {
"type": "object",
"properties": {
"id": {
"type": "string"
},
"name": {
"type": [
"string",
"null"
]
},
"hunterProfile": {
"anyOf": [
{
"type": "object",
"properties": {
"handle": {
"type": "string"
}
},
"required": [
"handle"
],
"additionalProperties": false
},
{
"type": "null"
}
]
}
},
"required": [
"id",
"name",
"hunterProfile"
],
"additionalProperties": false
}
},
"required": [
"id",
"orgId",
"hunterId",
"submissionId",
"reason",
"details",
"status",
"decisionNote",
"decidedAt",
"createdAt",
"updatedAt",
"reportedBy",
"hunter"
],
"additionalProperties": false
}
},
"required": [
"report"
],
"additionalProperties": false
}application/json
{
"$ref": "#/components/schemas/Error"
}application/json
{
"$ref": "#/components/schemas/Error"
}application/json
{
"$ref": "#/components/schemas/Error"
}application/json
{
"$ref": "#/components/schemas/Error"
}application/json
{
"$ref": "#/components/schemas/Error"
}application/json
{
"$ref": "#/components/schemas/Error"
}application/json
{
"$ref": "#/components/schemas/Error"
}application/json
{
"$ref": "#/components/schemas/Error"
}application/json
{
"$ref": "#/components/schemas/Error"
}{
"Retry-After": {
"schema": {
"type": "integer"
},
"description": "Seconds until retry"
}
}application/json
{
"$ref": "#/components/schemas/Error"
}/api/v1/orgs/{orgId}/hunter-reportsList the team's reports of hunters to Mantis staff (submission.read)
Newest first, each with its status and staff's note once they act. hunter_id narrows it to one hunter. Maximum 50 per page.
Authentication: Bearer token or Browser session (CSRF token for writes)
orgId (path, required){
"type": "string",
"minLength": 1,
"maxLength": 100,
"pattern": "^[A-Za-z0-9_-]+$"
}limit (query, optional){
"default": 20,
"type": "integer",
"minimum": 1,
"maximum": 50
}offset (query, optional){
"default": 0,
"type": "integer",
"minimum": 0,
"maximum": 1000000
}hunter_id (query, optional){
"description": "Only reports about this hunter.",
"type": "string",
"minLength": 1,
"maxLength": 100,
"pattern": "^[A-Za-z0-9_-]+$"
}application/json
{
"type": "object",
"properties": {
"reports": {
"type": "array",
"items": {
"type": "object",
"properties": {
"id": {
"type": "string"
},
"orgId": {
"type": "string"
},
"hunterId": {
"type": "string"
},
"submissionId": {
"description": "The team's report from this hunter that prompted it, if any.",
"type": [
"string",
"null"
]
},
"reason": {
"type": "string",
"enum": [
"spam",
"malicious",
"extortion",
"harassment",
"impersonation",
"plagiarism",
"other"
]
},
"details": {
"type": "string"
},
"status": {
"type": "string",
"enum": [
"open",
"resolved",
"dismissed"
],
"description": "open until Mantis staff act on it, then resolved or dismissed with their note in decisionNote."
},
"decisionNote": {
"type": [
"string",
"null"
]
},
"decidedAt": {
"anyOf": [
{
"type": "string",
"format": "date-time",
"pattern": "^(?:(?:\\d\\d[2468][048]|\\d\\d[13579][26]|\\d\\d0[48]|[02468][048]00|[13579][26]00)-02-29|\\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\\d|30)|(?:02)-(?:0[1-9]|1\\d|2[0-8])))T(?:(?:[01]\\d|2[0-3]):[0-5]\\d:[0-5]\\d(?:\\.\\d+)?(?:Z))$"
},
{
"type": "null"
}
]
},
"createdAt": {
"type": "string",
"format": "date-time",
"pattern": "^(?:(?:\\d\\d[2468][048]|\\d\\d[13579][26]|\\d\\d0[48]|[02468][048]00|[13579][26]00)-02-29|\\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\\d|30)|(?:02)-(?:0[1-9]|1\\d|2[0-8])))T(?:(?:[01]\\d|2[0-3]):[0-5]\\d:[0-5]\\d(?:\\.\\d+)?(?:Z))$"
},
"updatedAt": {
"type": "string",
"format": "date-time",
"pattern": "^(?:(?:\\d\\d[2468][048]|\\d\\d[13579][26]|\\d\\d0[48]|[02468][048]00|[13579][26]00)-02-29|\\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\\d|30)|(?:02)-(?:0[1-9]|1\\d|2[0-8])))T(?:(?:[01]\\d|2[0-3]):[0-5]\\d:[0-5]\\d(?:\\.\\d+)?(?:Z))$"
},
"reportedBy": {
"type": "object",
"properties": {
"id": {
"type": "string"
},
"name": {
"type": [
"string",
"null"
]
}
},
"required": [
"id",
"name"
],
"additionalProperties": false
},
"hunter": {
"type": "object",
"properties": {
"id": {
"type": "string"
},
"name": {
"type": [
"string",
"null"
]
},
"hunterProfile": {
"anyOf": [
{
"type": "object",
"properties": {
"handle": {
"type": "string"
}
},
"required": [
"handle"
],
"additionalProperties": false
},
{
"type": "null"
}
]
}
},
"required": [
"id",
"name",
"hunterProfile"
],
"additionalProperties": false
}
},
"required": [
"id",
"orgId",
"hunterId",
"submissionId",
"reason",
"details",
"status",
"decisionNote",
"decidedAt",
"createdAt",
"updatedAt",
"reportedBy",
"hunter"
],
"additionalProperties": false
}
},
"pagination": {
"type": "object",
"properties": {
"limit": {
"type": "integer",
"minimum": -9007199254740991,
"maximum": 9007199254740991
},
"offset": {
"type": "integer",
"minimum": -9007199254740991,
"maximum": 9007199254740991
},
"total": {
"type": "integer",
"minimum": -9007199254740991,
"maximum": 9007199254740991
}
},
"required": [
"limit",
"offset",
"total"
],
"additionalProperties": false
}
},
"required": [
"reports",
"pagination"
],
"additionalProperties": false
}application/json
{
"$ref": "#/components/schemas/Error"
}application/json
{
"$ref": "#/components/schemas/Error"
}application/json
{
"$ref": "#/components/schemas/Error"
}application/json
{
"$ref": "#/components/schemas/Error"
}application/json
{
"$ref": "#/components/schemas/Error"
}application/json
{
"$ref": "#/components/schemas/Error"
}application/json
{
"$ref": "#/components/schemas/Error"
}application/json
{
"$ref": "#/components/schemas/Error"
}application/json
{
"$ref": "#/components/schemas/Error"
}{
"Retry-After": {
"schema": {
"type": "integer"
},
"description": "Seconds until retry"
}
}application/json
{
"$ref": "#/components/schemas/Error"
}/api/v1/orgs/{orgId}/audit-logList what team members did, newest first (audit.read)
Owners and admins. Each entry says who acted and how: via.type browser for the web app, or agent with the agent's name and how it connected (oauth, otp_mcp or api_token). Covers bug bounty edits and status changes, report status changes and team comments, invitations and member changes, team settings and Mantis moderation. Hunters' own reports and comments are left out. summary is a readable sentence.
Authentication: Bearer token or Browser session (CSRF token for writes)
orgId (path, required){
"type": "string",
"minLength": 1,
"maxLength": 100,
"pattern": "^[A-Za-z0-9_-]+$"
}limit (query, optional){
"default": 50,
"type": "integer",
"minimum": 1,
"maximum": 100
}offset (query, optional){
"default": 0,
"type": "integer",
"minimum": 0,
"maximum": 1000000
}area (query, optional){
"description": "Only one area: bounties, reports, team, settings, reviews (of hunters, and reports of them to Mantis), agents or moderation.",
"type": "string",
"enum": [
"bounties",
"reports",
"team",
"settings",
"reviews",
"agents",
"moderation"
]
}via (query, optional){
"description": "browser: a member acting in the web app. agent: a member's agent acting for them over MCP or the API.",
"type": "string",
"enum": [
"browser",
"agent"
]
}actor_id (query, optional){
"description": "Only this member's actions.",
"type": "string",
"minLength": 1,
"maxLength": 100,
"pattern": "^[A-Za-z0-9_-]+$"
}application/json
{
"type": "object",
"properties": {
"entries": {
"type": "array",
"items": {
"type": "object",
"properties": {
"id": {
"type": "string"
},
"createdAt": {
"type": "string",
"format": "date-time",
"pattern": "^(?:(?:\\d\\d[2468][048]|\\d\\d[13579][26]|\\d\\d0[48]|[02468][048]00|[13579][26]00)-02-29|\\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\\d|30)|(?:02)-(?:0[1-9]|1\\d|2[0-8])))T(?:(?:[01]\\d|2[0-3]):[0-5]\\d:[0-5]\\d(?:\\.\\d+)?(?:Z))$"
},
"action": {
"type": "string"
},
"area": {
"type": "string",
"enum": [
"bounties",
"reports",
"team",
"settings",
"reviews",
"agents",
"moderation"
]
},
"actor": {
"anyOf": [
{
"type": "object",
"properties": {
"id": {
"type": "string"
},
"name": {
"type": [
"string",
"null"
]
},
"email": {
"type": "string"
}
},
"required": [
"id",
"name",
"email"
],
"additionalProperties": false
},
{
"type": "null"
}
]
},
"staff": {
"type": "boolean"
},
"system": {
"type": "boolean"
},
"via": {
"oneOf": [
{
"type": "object",
"properties": {
"type": {
"type": "string",
"const": "browser"
}
},
"required": [
"type"
],
"additionalProperties": false
},
{
"type": "object",
"properties": {
"type": {
"type": "string",
"const": "agent"
},
"agentSessionId": {
"type": "string"
},
"name": {
"type": "string"
},
"connection": {
"type": "string",
"enum": [
"oauth",
"otp_mcp",
"api_token"
]
},
"client": {
"type": [
"string",
"null"
]
},
"revoked": {
"type": "boolean"
}
},
"required": [
"type",
"agentSessionId",
"name",
"connection",
"client",
"revoked"
],
"additionalProperties": false
}
]
},
"target": {
"anyOf": [
{
"type": "object",
"properties": {
"type": {
"type": "string",
"enum": [
"bounty",
"report",
"invite",
"member",
"team",
"agent",
"hunter"
]
},
"id": {
"type": "string"
},
"label": {
"type": "string"
}
},
"required": [
"type",
"id",
"label"
],
"additionalProperties": false
},
{
"type": "null"
}
]
},
"details": {
"type": "object",
"properties": {
"from": {
"type": "string"
},
"to": {
"type": "string"
},
"role": {
"type": "string"
},
"fields": {
"type": "array",
"items": {
"type": "string"
}
},
"reason": {
"type": "string"
},
"unverified": {
"description": "The change took away the team's Mantis verification.",
"type": "boolean"
},
"rating": {
"type": "integer",
"minimum": 1,
"maximum": 5
},
"feedback": {
"type": "array",
"items": {
"type": "string"
}
},
"created": {
"description": "A review written for the first time, not changed.",
"type": "boolean"
},
"updated": {
"description": "A pending verification request sent again.",
"type": "boolean"
}
},
"additionalProperties": false
},
"summary": {
"type": "string"
}
},
"required": [
"id",
"createdAt",
"action",
"area",
"actor",
"staff",
"system",
"via",
"target",
"details",
"summary"
],
"additionalProperties": false
}
},
"pagination": {
"type": "object",
"properties": {
"limit": {
"type": "integer",
"minimum": -9007199254740991,
"maximum": 9007199254740991
},
"offset": {
"type": "integer",
"minimum": -9007199254740991,
"maximum": 9007199254740991
},
"total": {
"type": "integer",
"minimum": -9007199254740991,
"maximum": 9007199254740991
}
},
"required": [
"limit",
"offset",
"total"
],
"additionalProperties": false
}
},
"required": [
"entries",
"pagination"
],
"additionalProperties": false
}application/json
{
"$ref": "#/components/schemas/Error"
}application/json
{
"$ref": "#/components/schemas/Error"
}application/json
{
"$ref": "#/components/schemas/Error"
}application/json
{
"$ref": "#/components/schemas/Error"
}application/json
{
"$ref": "#/components/schemas/Error"
}application/json
{
"$ref": "#/components/schemas/Error"
}application/json
{
"$ref": "#/components/schemas/Error"
}application/json
{
"$ref": "#/components/schemas/Error"
}application/json
{
"$ref": "#/components/schemas/Error"
}{
"Retry-After": {
"schema": {
"type": "integer"
},
"description": "Seconds until retry"
}
}application/json
{
"$ref": "#/components/schemas/Error"
}/api/v1/orgs/{orgId}/teamList members (team.read)
Authentication: Bearer token or Browser session (CSRF token for writes)
orgId (path, required){
"type": "string",
"minLength": 1,
"maxLength": 100,
"pattern": "^[A-Za-z0-9_-]+$"
}limit (query, optional){
"default": 50,
"type": "integer",
"minimum": 1,
"maximum": 100
}offset (query, optional){
"default": 0,
"type": "integer",
"minimum": 0,
"maximum": 1000000
}application/json
{
"type": "object",
"properties": {
"members": {
"type": "array",
"items": {
"type": "object",
"properties": {
"id": {
"type": "string"
},
"revision": {
"type": "string",
"format": "uuid",
"pattern": "^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$"
},
"userId": {
"type": "string"
},
"orgId": {
"type": "string"
},
"role": {
"type": "string",
"enum": [
"owner",
"admin",
"member",
"viewer"
]
},
"createdAt": {
"type": "string",
"format": "date-time",
"pattern": "^(?:(?:\\d\\d[2468][048]|\\d\\d[13579][26]|\\d\\d0[48]|[02468][048]00|[13579][26]00)-02-29|\\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\\d|30)|(?:02)-(?:0[1-9]|1\\d|2[0-8])))T(?:(?:[01]\\d|2[0-3]):[0-5]\\d:[0-5]\\d(?:\\.\\d+)?(?:Z))$"
},
"updatedAt": {
"type": "string",
"format": "date-time",
"pattern": "^(?:(?:\\d\\d[2468][048]|\\d\\d[13579][26]|\\d\\d0[48]|[02468][048]00|[13579][26]00)-02-29|\\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\\d|30)|(?:02)-(?:0[1-9]|1\\d|2[0-8])))T(?:(?:[01]\\d|2[0-3]):[0-5]\\d:[0-5]\\d(?:\\.\\d+)?(?:Z))$"
},
"user": {
"type": "object",
"properties": {
"id": {
"type": "string"
},
"name": {
"type": [
"string",
"null"
]
},
"email": {
"type": "string",
"format": "email",
"pattern": "^(?:[A-Za-z0-9_'+\\-]+\\.)*[A-Za-z0-9_'+\\-]*[A-Za-z0-9_+-]@(?:[A-Za-z0-9][A-Za-z0-9\\-]*\\.)+[A-Za-z]{2,}$"
}
},
"required": [
"id",
"name",
"email"
],
"additionalProperties": false
}
},
"required": [
"id",
"revision",
"userId",
"orgId",
"role",
"createdAt",
"updatedAt",
"user"
],
"additionalProperties": false
}
}
},
"required": [
"members"
],
"additionalProperties": false
}application/json
{
"$ref": "#/components/schemas/Error"
}application/json
{
"$ref": "#/components/schemas/Error"
}application/json
{
"$ref": "#/components/schemas/Error"
}application/json
{
"$ref": "#/components/schemas/Error"
}application/json
{
"$ref": "#/components/schemas/Error"
}application/json
{
"$ref": "#/components/schemas/Error"
}application/json
{
"$ref": "#/components/schemas/Error"
}application/json
{
"$ref": "#/components/schemas/Error"
}application/json
{
"$ref": "#/components/schemas/Error"
}{
"Retry-After": {
"schema": {
"type": "integer"
},
"description": "Seconds until retry"
}
}application/json
{
"$ref": "#/components/schemas/Error"
}/api/v1/orgs/{orgId}/invitesInvite a member (owner/admin and team.manage)
Authentication: Bearer token or Browser session (CSRF token for writes)
orgId (path, required){
"type": "string",
"minLength": 1,
"maxLength": 100,
"pattern": "^[A-Za-z0-9_-]+$"
}x-csrf-token (header, optional)Required with browser session cookies. Obtain from OTP verification or GET /api/v1/me. Bearer authentication does not require CSRF.
{
"type": "string"
}Origin (header, optional)Browser writes require the configured APP_URL origin.
{
"type": "string"
}application/json
{
"type": "object",
"properties": {
"role": {
"type": "string",
"enum": [
"owner",
"admin",
"member",
"viewer"
]
},
"email": {
"type": "string",
"maxLength": 254,
"format": "email",
"pattern": "^(?:[A-Za-z0-9_'+\\-]+\\.)*[A-Za-z0-9_'+\\-]*[A-Za-z0-9_+-]@(?:[A-Za-z0-9][A-Za-z0-9\\-]*\\.)+[A-Za-z]{2,}$"
}
},
"required": [
"role",
"email"
],
"additionalProperties": false
}application/json
{
"type": "object",
"properties": {
"invite": {
"type": "object",
"properties": {
"id": {
"type": "string"
},
"orgId": {
"type": "string"
},
"email": {
"type": "string",
"format": "email",
"pattern": "^(?:[A-Za-z0-9_'+\\-]+\\.)*[A-Za-z0-9_'+\\-]*[A-Za-z0-9_+-]@(?:[A-Za-z0-9][A-Za-z0-9\\-]*\\.)+[A-Za-z]{2,}$"
},
"role": {
"type": "string",
"enum": [
"owner",
"admin",
"member",
"viewer"
]
},
"invitedById": {
"type": "string"
},
"grantorRole": {
"type": "string",
"enum": [
"owner",
"admin",
"member",
"viewer"
]
},
"grantorMembershipId": {
"type": [
"string",
"null"
]
},
"grantorPermissions": {
"type": "array",
"items": {
"type": "string",
"enum": [
"org.read",
"org.manage",
"team.read",
"team.manage",
"bounty.read",
"bounty.manage",
"submission.read",
"submission.update_status",
"submission.message",
"audit.read",
"agent_session.manage_own",
"agent_session.manage_org"
]
}
},
"invitedViaAgentId": {
"type": [
"string",
"null"
]
},
"acceptedById": {
"type": [
"string",
"null"
]
},
"createdAt": {
"type": "string",
"format": "date-time",
"pattern": "^(?:(?:\\d\\d[2468][048]|\\d\\d[13579][26]|\\d\\d0[48]|[02468][048]00|[13579][26]00)-02-29|\\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\\d|30)|(?:02)-(?:0[1-9]|1\\d|2[0-8])))T(?:(?:[01]\\d|2[0-3]):[0-5]\\d:[0-5]\\d(?:\\.\\d+)?(?:Z))$"
},
"expiresAt": {
"type": "string",
"format": "date-time",
"pattern": "^(?:(?:\\d\\d[2468][048]|\\d\\d[13579][26]|\\d\\d0[48]|[02468][048]00|[13579][26]00)-02-29|\\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\\d|30)|(?:02)-(?:0[1-9]|1\\d|2[0-8])))T(?:(?:[01]\\d|2[0-3]):[0-5]\\d:[0-5]\\d(?:\\.\\d+)?(?:Z))$"
},
"acceptedAt": {
"anyOf": [
{
"type": "string",
"format": "date-time",
"pattern": "^(?:(?:\\d\\d[2468][048]|\\d\\d[13579][26]|\\d\\d0[48]|[02468][048]00|[13579][26]00)-02-29|\\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\\d|30)|(?:02)-(?:0[1-9]|1\\d|2[0-8])))T(?:(?:[01]\\d|2[0-3]):[0-5]\\d:[0-5]\\d(?:\\.\\d+)?(?:Z))$"
},
{
"type": "null"
}
]
},
"revokedAt": {
"anyOf": [
{
"type": "string",
"format": "date-time",
"pattern": "^(?:(?:\\d\\d[2468][048]|\\d\\d[13579][26]|\\d\\d0[48]|[02468][048]00|[13579][26]00)-02-29|\\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\\d|30)|(?:02)-(?:0[1-9]|1\\d|2[0-8])))T(?:(?:[01]\\d|2[0-3]):[0-5]\\d:[0-5]\\d(?:\\.\\d+)?(?:Z))$"
},
{
"type": "null"
}
]
}
},
"required": [
"id",
"orgId",
"email",
"role",
"invitedById",
"grantorRole",
"grantorMembershipId",
"grantorPermissions",
"invitedViaAgentId",
"acceptedById",
"createdAt",
"expiresAt",
"acceptedAt",
"revokedAt"
],
"additionalProperties": false
}
},
"required": [
"invite"
],
"additionalProperties": false
}application/json
{
"$ref": "#/components/schemas/Error"
}application/json
{
"$ref": "#/components/schemas/Error"
}application/json
{
"$ref": "#/components/schemas/Error"
}application/json
{
"$ref": "#/components/schemas/Error"
}application/json
{
"$ref": "#/components/schemas/Error"
}application/json
{
"$ref": "#/components/schemas/Error"
}application/json
{
"$ref": "#/components/schemas/Error"
}application/json
{
"$ref": "#/components/schemas/Error"
}application/json
{
"$ref": "#/components/schemas/Error"
}{
"Retry-After": {
"schema": {
"type": "integer"
},
"description": "Seconds until retry"
}
}application/json
{
"$ref": "#/components/schemas/Error"
}/api/v1/orgs/{orgId}/invitesList pending and expired invitations (owner/admin and team.manage)
Authentication: Bearer token or Browser session (CSRF token for writes)
orgId (path, required){
"type": "string",
"minLength": 1,
"maxLength": 100,
"pattern": "^[A-Za-z0-9_-]+$"
}limit (query, optional){
"default": 50,
"type": "integer",
"minimum": 1,
"maximum": 100
}offset (query, optional){
"default": 0,
"type": "integer",
"minimum": 0,
"maximum": 1000000
}application/json
{
"type": "object",
"properties": {
"invites": {
"type": "array",
"items": {
"type": "object",
"properties": {
"id": {
"type": "string"
},
"orgId": {
"type": "string"
},
"email": {
"type": "string",
"format": "email",
"pattern": "^(?:[A-Za-z0-9_'+\\-]+\\.)*[A-Za-z0-9_'+\\-]*[A-Za-z0-9_+-]@(?:[A-Za-z0-9][A-Za-z0-9\\-]*\\.)+[A-Za-z]{2,}$"
},
"role": {
"type": "string",
"enum": [
"owner",
"admin",
"member",
"viewer"
]
},
"invitedById": {
"type": "string"
},
"grantorRole": {
"type": "string",
"enum": [
"owner",
"admin",
"member",
"viewer"
]
},
"grantorMembershipId": {
"type": [
"string",
"null"
]
},
"grantorPermissions": {
"type": "array",
"items": {
"type": "string",
"enum": [
"org.read",
"org.manage",
"team.read",
"team.manage",
"bounty.read",
"bounty.manage",
"submission.read",
"submission.update_status",
"submission.message",
"audit.read",
"agent_session.manage_own",
"agent_session.manage_org"
]
}
},
"invitedViaAgentId": {
"type": [
"string",
"null"
]
},
"acceptedById": {
"type": [
"string",
"null"
]
},
"createdAt": {
"type": "string",
"format": "date-time",
"pattern": "^(?:(?:\\d\\d[2468][048]|\\d\\d[13579][26]|\\d\\d0[48]|[02468][048]00|[13579][26]00)-02-29|\\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\\d|30)|(?:02)-(?:0[1-9]|1\\d|2[0-8])))T(?:(?:[01]\\d|2[0-3]):[0-5]\\d:[0-5]\\d(?:\\.\\d+)?(?:Z))$"
},
"expiresAt": {
"type": "string",
"format": "date-time",
"pattern": "^(?:(?:\\d\\d[2468][048]|\\d\\d[13579][26]|\\d\\d0[48]|[02468][048]00|[13579][26]00)-02-29|\\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\\d|30)|(?:02)-(?:0[1-9]|1\\d|2[0-8])))T(?:(?:[01]\\d|2[0-3]):[0-5]\\d:[0-5]\\d(?:\\.\\d+)?(?:Z))$"
},
"acceptedAt": {
"anyOf": [
{
"type": "string",
"format": "date-time",
"pattern": "^(?:(?:\\d\\d[2468][048]|\\d\\d[13579][26]|\\d\\d0[48]|[02468][048]00|[13579][26]00)-02-29|\\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\\d|30)|(?:02)-(?:0[1-9]|1\\d|2[0-8])))T(?:(?:[01]\\d|2[0-3]):[0-5]\\d:[0-5]\\d(?:\\.\\d+)?(?:Z))$"
},
{
"type": "null"
}
]
},
"revokedAt": {
"anyOf": [
{
"type": "string",
"format": "date-time",
"pattern": "^(?:(?:\\d\\d[2468][048]|\\d\\d[13579][26]|\\d\\d0[48]|[02468][048]00|[13579][26]00)-02-29|\\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\\d|30)|(?:02)-(?:0[1-9]|1\\d|2[0-8])))T(?:(?:[01]\\d|2[0-3]):[0-5]\\d:[0-5]\\d(?:\\.\\d+)?(?:Z))$"
},
{
"type": "null"
}
]
}
},
"required": [
"id",
"orgId",
"email",
"role",
"invitedById",
"grantorRole",
"grantorMembershipId",
"grantorPermissions",
"invitedViaAgentId",
"acceptedById",
"createdAt",
"expiresAt",
"acceptedAt",
"revokedAt"
],
"additionalProperties": false
}
},
"pagination": {
"type": "object",
"properties": {
"limit": {
"type": "integer",
"minimum": -9007199254740991,
"maximum": 9007199254740991
},
"offset": {
"type": "integer",
"minimum": -9007199254740991,
"maximum": 9007199254740991
},
"total": {
"type": "integer",
"minimum": -9007199254740991,
"maximum": 9007199254740991
}
},
"required": [
"limit",
"offset",
"total"
],
"additionalProperties": false
}
},
"required": [
"invites",
"pagination"
],
"additionalProperties": false
}application/json
{
"$ref": "#/components/schemas/Error"
}application/json
{
"$ref": "#/components/schemas/Error"
}application/json
{
"$ref": "#/components/schemas/Error"
}application/json
{
"$ref": "#/components/schemas/Error"
}application/json
{
"$ref": "#/components/schemas/Error"
}application/json
{
"$ref": "#/components/schemas/Error"
}application/json
{
"$ref": "#/components/schemas/Error"
}application/json
{
"$ref": "#/components/schemas/Error"
}application/json
{
"$ref": "#/components/schemas/Error"
}{
"Retry-After": {
"schema": {
"type": "integer"
},
"description": "Seconds until retry"
}
}application/json
{
"$ref": "#/components/schemas/Error"
}/api/v1/orgs/{orgId}/invites/{inviteId}/resendResend a pending invitation and renew its seven-day expiry (owner/admin and team.manage)
Rechecks the role against your current authority. Admins can manage only invitations for lower roles.
Authentication: Bearer token or Browser session (CSRF token for writes)
orgId (path, required){
"type": "string",
"minLength": 1,
"maxLength": 100,
"pattern": "^[A-Za-z0-9_-]+$"
}inviteId (path, required){
"type": "string",
"minLength": 1,
"maxLength": 100,
"pattern": "^[A-Za-z0-9_-]+$"
}x-csrf-token (header, optional)Required with browser session cookies. Obtain from OTP verification or GET /api/v1/me. Bearer authentication does not require CSRF.
{
"type": "string"
}Origin (header, optional)Browser writes require the configured APP_URL origin.
{
"type": "string"
}application/json
{
[...]
